︠c03a9f4b-89ba-46e1-ab6a-3a62429e7660si︠
%hide
%html

<H3  ALIGN="CENTER"><B><FONT COLOR="#030856">
Arms race modeling
</FONT></B></H3>

<FONT SIZE="-1">(Adapted from various sources.  For general worldwide military expenditure and arms race issues see <A HREF="http://www.sipri.org">http://www.sipri.org</A>)
</FONT>
<P>
<B>Background</B> <P>
Worldwide military expenditures have grown sharply during the past 15 years, even after adjusting for inflation -- more than a 60% increase between 2001 and 2010 alone.  One of the major factors that causes escalation in weapons spending across the world is arms races.  Irrationality abounds in the competition between groups of nations to outdo one another in weapons acquisitions and strengthening their military power.  The undisputed leader of the pack, of course, remains the U.S., with a military budget nearly 6 times larger than its nearest competitor, China, and with 43% of the world's total share of military spending.
<P>
One of the earliest and best known mathematical models for arms competitions is the Richardson Arms Race Model, named after a Quaker mathematician who developed the model in the 1930s.  Richardson believed that as nations accumulated larger and larger stockpiles of weapons, their willingness to use them also increases, eventually leading to war.  In his view, the arms buildup process itself is the precursor to, and key predictor of, impending war.

<P>
<B>I. A simple 2-nation arms race model</B> <P>

<U>The scene:</U> Two countries named "Green" and "Purple" are engaged in a competition to buildup their military strength and weapons stockpiles.  We will model this competition via functions that measure their respective annual military expenditures as a function of time (in some common units of currency).  Here is our modeling strategy:
<UL>
  <LI>We will model the rate of change in their military expenditures, with respect to time.
  <LI>Let G(t) = military expenditure of country Green at time t.
  <LI>Let P(t) = military expenditure of country Purple at time t.
  <LI>Let t be in units of years.  Assume G(t), P(t) are always positive.
</UL>

<FONT COLOR="#A30856">
Be sure to start your lab report with a brief overview of the ojectives and modeling strategy we are using here.
</FONT>

︡b730b727-81e4-40cf-9047-f818fbba8074︡{"hide":"input"}︡{"html":"\n<H3  ALIGN=\"CENTER\"><B><FONT COLOR=\"#030856\">\nArms race modeling\n</FONT></B></H3>\n\n<FONT SIZE=\"-1\">(Adapted from various sources.  For general worldwide military expenditure and arms race issues see <A HREF=\"http://www.sipri.org\">http://www.sipri.org</A>)\n</FONT>\n<P>\n<B>Background</B> <P>\nWorldwide military expenditures have grown sharply during the past 15 years, even after adjusting for inflation -- more than a 60% increase between 2001 and 2010 alone.  One of the major factors that causes escalation in weapons spending across the world is arms races.  Irrationality abounds in the competition between groups of nations to outdo one another in weapons acquisitions and strengthening their military power.  The undisputed leader of the pack, of course, remains the U.S., with a military budget nearly 6 times larger than its nearest competitor, China, and with 43% of the world's total share of military spending.\n<P>\nOne of the earliest and best known mathematical models for arms competitions is the Richardson Arms Race Model, named after a Quaker mathematician who developed the model in the 1930s.  Richardson believed that as nations accumulated larger and larger stockpiles of weapons, their willingness to use them also increases, eventually leading to war.  In his view, the arms buildup process itself is the precursor to, and key predictor of, impending war.\n\n<P>\n<B>I. A simple 2-nation arms race model</B> <P>\n\n<U>The scene:</U> Two countries named \"Green\" and \"Purple\" are engaged in a competition to buildup their military strength and weapons stockpiles.  We will model this competition via functions that measure their respective annual military expenditures as a function of time (in some common units of currency).  Here is our modeling strategy:\n<UL>\n  <LI>We will model the rate of change in their military expenditures, with respect to time.\n  <LI>Let G(t) = military expenditure of country Green at time t.\n  <LI>Let P(t) = military expenditure of country Purple at time t.\n  <LI>Let t be in units of years.  Assume G(t), P(t) are always positive.\n</UL>\n\n<FONT COLOR=\"#A30856\">\nBe sure to start your lab report with a brief overview of the ojectives and modeling strategy we are using here.\n</FONT>\n\n"}︡{"done":true}
︠79be146f-53bf-421f-8723-d8cc530fd2dasi︠
%hide
%html
<B>Model 0:</B>

The&nbsp;simplest model of a 2-nation arms competition is one in which we assume each nation increases its spending in direct proportion to the other nation's current level of spending.  A schematic diagram of the situation is shown in the sketch 
<DIV ALIGN="CENTER">
<IMG SRC="./simple_arms_model_fig.png" width="200">
</DIV>

As usual, we want to think in terms of the derivatives $\displaystyle \frac{dG}{dt}$ and $\displaystyle \frac{dP}{dt}$, although in this simple example it may be easy to directly model $G(t)$ and $P(t)$.  Here are some explorations to try:
<UL>
  <LI>The schematic diagram helps us see the trend/shape of $G$ vs $t$ and $P$ vs $t$, if we assume $G(0)$ and $P(0)$ are positive.  Sketch graphs showing those qualitative behaviors.
  <LI>From the general trend in your graphs, what can you say about the sign of $\displaystyle \frac{dG}{dt}$ and $\displaystyle \frac{dP}{dt}$?  Notice how the schematic diagram also tells us exactly that, even if we ignore our graphs.
  <LI>We want to capture this behavior in a model that looks like: $\displaystyle \frac{dG}{dt}=f(t,G,P)$, where $f(t,G,P)$ is a function of $t$ and/or $G$ and/or $P$.  Conjecture a form for the function $f$.  For example, you could say: $f=1$, or $f=t$, or $f=G$, or, ... Given the assumptions in this scenario, what would be a good choice for $f$?
  <LI>Model $\displaystyle \frac{dP}{dt}$ in a similar way.
</UL>

The Sage interaction below lets you explore solutions using a model of this type.  Try a few different parameter values and initial conditions, and discuss what you find.
︡d4e0f552-db73-486c-848f-6a1b3aac177f︡{"hide":"input"}︡{"html":"<B>Model 0:</B>\n\nThe&nbsp;simplest model of a 2-nation arms competition is one in which we assume each nation increases its spending in direct proportion to the other nation's current level of spending.  A schematic diagram of the situation is shown in the sketch \n<DIV ALIGN=\"CENTER\">\n<IMG SRC=\"./simple_arms_model_fig.png\" width=\"200\">\n</DIV>\n\nAs usual, we want to think in terms of the derivatives $\\displaystyle \\frac{dG}{dt}$ and $\\displaystyle \\frac{dP}{dt}$, although in this simple example it may be easy to directly model $G(t)$ and $P(t)$.  Here are some explorations to try:\n<UL>\n  <LI>The schematic diagram helps us see the trend/shape of $G$ vs $t$ and $P$ vs $t$, if we assume $G(0)$ and $P(0)$ are positive.  Sketch graphs showing those qualitative behaviors.\n  <LI>From the general trend in your graphs, what can you say about the sign of $\\displaystyle \\frac{dG}{dt}$ and $\\displaystyle \\frac{dP}{dt}$?  Notice how the schematic diagram also tells us exactly that, even if we ignore our graphs.\n  <LI>We want to capture this behavior in a model that looks like: $\\displaystyle \\frac{dG}{dt}=f(t,G,P)$, where $f(t,G,P)$ is a function of $t$ and/or $G$ and/or $P$.  Conjecture a form for the function $f$.  For example, you could say: $f=1$, or $f=t$, or $f=G$, or, ... Given the assumptions in this scenario, what would be a good choice for $f$?\n  <LI>Model $\\displaystyle \\frac{dP}{dt}$ in a similar way.\n</UL>\n\nThe Sage interaction below lets you explore solutions using a model of this type.  Try a few different parameter values and initial conditions, and discuss what you find.\n"}︡{"done":true}︡
︠fd7b9901-cd06-4dac-ad0e-a646ee861b84i︠
%hide
# System is: g' = a*p;  p' = b*g
g, p, t = var('g p t')
@interact
def _( a=slider(0, 2, step_size=0.1, default=0.2, label='a', width=20), b=slider(0, 2, step_size=0.1, default=0.2, label='b', width=20), ic_g=input_box(50, 'G(0)=', width=10), ic_p=input_box(50, 'P(0)=', width=10), auto_update=False ):
    de1 = a*p
    de2 = b*g
    P = desolve_system_rk4 ([de1, de2], [g, p], ics=[0, ic_g, ic_p], ivar=t, end_points=[0,8] )
    Q = [ [j,k] for i, j, k in P]
    #list_plot(Q, axes_labels=['$S$', '$B$'])
    show(line(Q, axes_labels=['$G$', '$P$'], color='green', thickness=2, title='Phase plot'))

    # The following creates plots of S vs t and B vs t:
    QS = [ [i,j] for i, j, k in P]
    QB = [ [i,k] for i, j, k in P]
    SS = line(QS, axes_labels=['$t$ (year)', 'spending'], legend_label='G', color='blue', thickness=2)
    SB = line(QB, axes_labels=['$t$ (year)', 'spending'], legend_label='P', color='green', thickness=2)
    show(SS+SB)
︡be87a35a-e8c0-4271-abbc-bc2b80d9d577︡{"hide":"input"}︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"a","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000"],"var":"a","width":20},{"animate":true,"control_type":"slider","default":2,"display_value":true,"label":"b","vals":["0.000000000000000","0.100000000000000","0.200000000000000","0.300000000000000","0.400000000000000","0.500000000000000","0.600000000000000","0.700000000000000","0.800000000000000","0.900000000000000","1.00000000000000","1.10000000000000","1.20000000000000","1.30000000000000","1.40000000000000","1.50000000000000","1.60000000000000","1.70000000000000","1.80000000000000","1.90000000000000","2.00000000000000"],"var":"b","width":20},{"control_type":"input-box","default":50,"label":"G(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_g","width":10},{"control_type":"input-box","default":50,"label":"P(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_p","width":10},{"control_type":"checkbox","default":false,"label":"auto_update","readonly":false,"var":"auto_update"}],"flicker":false,"id":"9ebe481e-a278-4d5a-b916-b70c8907bb2e","layout":[[["a",12,null]],[["b",12,null]],[["ic_g",12,null]],[["ic_p",12,null]],[["auto_update",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡
︠1ccfa43b-cc02-4010-98d1-1f8c7e762a23si︠
%hide
%html
<B>Model 1:</B>

Well, <B>Model 0</B> was pretty lame, and told us nothing insightful.  It predicts a runaway arms race, which is exactly what we would expect under the assumptions of that model (i.e., each nation increases its spending in proportion to what the other nation spends, and there are no other constraining factors).

Our next model adds the assumption of budgetary constraints. In a general sense we want to account for the fact that sustaining high levels of military spending strains a country's budget. This idea can be captured in the form of a new assumption: The <U>rate of change</U> in a country's military spending decreases in proportion to the amount currently being spent.  Thus, each country's spending is influenced by two factors: (1) How much the other country is spending; and (2) the country's own current expenditures.  With this in mind, carry out the following explorations
<UL>
  <LI>Consider the task of modeling $\displaystyle \frac{dG}{dt}$, or $G^\prime$. The simplest way to account for the two factors that influence $G$ is to set: <FONT COLOR="#A30856">$G^\prime=$ term1 +term2</FONT>  
What sign should these terms have? Why?
  <LI>We already have a reasonable form for <FONT COLOR="#A30856">term1</FONT> from <B>Model 0</B>.  Conjecture a similar reasonable form for <FONT COLOR="#A30856">term2</FONT>.
  <LI>Put everything together and write the complete model for $G^\prime(t)$ and $P^\prime(t)$.
  <LI>There are 4 parameters in this model, say a, b, c, and d. Their numerical values (assumed positive) have a significant effect on the long-term predictions from the model.  What range of values might be reasonable for these parameters? Why?
</UL>

Try simulating a few different  parameter values and initial conditions using the interactive Sage interface below. Discuss what you find, e.g., when do you get runaway arms buildups? when do you get complete mutual disarmament? etc.?
︡8a67df1f-9ef9-4b56-9071-666e723f0b34︡{"hide":"input"}︡{"html":"<B>Model 1:</B>\n\nWell, <B>Model 0</B> was pretty lame, and told us nothing insightful.  It predicts a runaway arms race, which is exactly what we would expect under the assumptions of that model (i.e., each nation increases its spending in proportion to what the other nation spends, and there are no other constraining factors).\n\nOur next model adds the assumption of budgetary constraints. In a general sense we want to account for the fact that sustaining high levels of military spending strains a country's budget. This idea can be captured in the form of a new assumption: The <U>rate of change</U> in a country's military spending decreases in proportion to the amount currently being spent.  Thus, each country's spending is influenced by two factors: (1) How much the other country is spending; and (2) the country's own current expenditures.  With this in mind, carry out the following explorations\n<UL>\n  <LI>Consider the task of modeling $\\displaystyle \\frac{dG}{dt}$, or $G^\\prime$. The simplest way to account for the two factors that influence $G$ is to set: <FONT COLOR=\"#A30856\">$G^\\prime=$ term1 +term2</FONT>  \nWhat sign should these terms have? Why?\n  <LI>We already have a reasonable form for <FONT COLOR=\"#A30856\">term1</FONT> from <B>Model 0</B>.  Conjecture a similar reasonable form for <FONT COLOR=\"#A30856\">term2</FONT>.\n  <LI>Put everything together and write the complete model for $G^\\prime(t)$ and $P^\\prime(t)$.\n  <LI>There are 4 parameters in this model, say a, b, c, and d. Their numerical values (assumed positive) have a significant effect on the long-term predictions from the model.  What range of values might be reasonable for these parameters? Why?\n</UL>\n\nTry simulating a few different  parameter values and initial conditions using the interactive Sage interface below. Discuss what you find, e.g., when do you get runaway arms buildups? when do you get complete mutual disarmament? etc.?"}︡{"done":true}︡
︠9609aab2-4138-4bbc-901c-3d0b155f19f8si︠
%hide
# System is: g' = -c*g + a*p;  p' = b*g - d*p
g, p, t = var('g p t')
@interact
def _( a=slider(0, 1, step_size=0.01, default=0.2, label='a', width=20), b=slider(0, 1, step_size=0.01, default=0.2, label='b', width=20), c=slider(0, 1, step_size=0.01, default=0.08, label='c', width=20), d=slider(0, 1, step_size=0.01, default=0.05, label='d', width=20), ic_g=input_box(30, 'G(0)=', width=10), ic_p=input_box(50, 'P(0)=', width=10), auto_update=False ):
    de1 = a*p - c*g
    de2 = b*g - d*p
    P = desolve_system_rk4 ([de1, de2], [g, p], ics=[0, ic_g, ic_p], ivar=t, end_points=[0,8] )
    Q = [ [j,k] for i, j, k in P]
    #list_plot(Q, axes_labels=['$S$', '$B$'])
    show(line(Q, axes_labels=['$G$', '$P$'], color='green', thickness=2, title='Phase plot'))

    # The following creates plots of S vs t and B vs t:
    QS = [ [i,j] for i, j, k in P]
    QB = [ [i,k] for i, j, k in P]
    SS = line(QS, axes_labels=['$t$ (year)', 'spending'], legend_label='G', color='blue', thickness=2)
    SB = line(QB, axes_labels=['$t$ (year)', 'spending'], legend_label='P', color='green', thickness=2)
    show(SS+SB)
︡7a488563-b017-444b-9388-737179573e97︡{"hide":"input"}︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":20,"display_value":true,"label":"a","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"a","width":20},{"animate":true,"control_type":"slider","default":20,"display_value":true,"label":"b","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"b","width":20},{"animate":true,"control_type":"slider","default":8,"display_value":true,"label":"c","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"c","width":20},{"animate":true,"control_type":"slider","default":5,"display_value":true,"label":"d","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"d","width":20},{"control_type":"input-box","default":30,"label":"G(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_g","width":10},{"control_type":"input-box","default":50,"label":"P(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_p","width":10},{"control_type":"checkbox","default":false,"label":"auto_update","readonly":false,"var":"auto_update"}],"flicker":false,"id":"292873aa-0910-4f14-ba27-73c683c9512e","layout":[[["a",12,null]],[["b",12,null]],[["c",12,null]],[["d",12,null]],[["ic_g",12,null]],[["ic_p",12,null]],[["auto_update",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡
︠d27c90bd-f8b4-479f-8568-f233c0f2adffsi︠
%hide
%html
<B>Model 2:</B>

The actual model that  Richardson proposed was a slight extension of <B>Model 1</B>, with the following form
$$G^\prime = a\; P - c\; G + m \\ P^\prime = b\; G - d\; P + n$$
The parameters $a$, $b$, $c$, $d$ are positive, and have the same interpretation as before. The new parameters $m$ and $n$ can take positive or negative values, depending on the situation under consideration.  To understand the interpretation of these parameters, explore the following questions <P>

<UL>
  <LI>Consider country $G$, and suppose $m$ is positive. What effect does it have on $G$'s military spending? Does your conclusion depend in any way on the other country $P$'s military spending?
  <LI>Likewise, if $m$ is negative, it has a certain effect on $G$, independent of other factors.
  <LI>Clearly, the parameter $m$ is trying to capture some behavior pattern of $G$ that persists independent of other things.  A common interpretation is that it accounts for historical grievances (if $m$ is positive), or good will (if $m$ is negative) that country $G$ feels towards country $P$.  A similar interpretation applies to parameter $n$.
  <LI>Note that the range of typical numerical values for $m$ and $n$ is very different from those of the other parameters.  Why?  Hint: Look closely at the terms in the equations; think about comparing their magnitudes.
</UL>
Despite its simplicity, the Richardson model is quite flexible in that it allows arms race analysts to choose the relative importance of the 3 driving factors, based on their own differing beliefs. For example, any of the parameters can be set to 0, if one believes it doesn't play a significant role in any particular nation's arms strategy.
<P>&nbsp;<BR>

To explore some of these possibilities, let's try simulating a few different  parameter values and initial conditions using the interactive segment below. Discuss what you find, e.g., do you get runaway arms buildups? do you get complete mutual disarmament? is it possible to get a fixed point (i.e., a constant value of $G$ and $P$ that doesn't change as $t$ increases)? etc.?
︡eef1de7a-87a2-4345-89b7-249d0663859f︡{"hide":"input"}︡{"html":"<B>Model 2:</B>\n\nThe actual model that  Richardson proposed was a slight extension of <B>Model 1</B>, with the following form\n$$G^\\prime = a\\; P - c\\; G + m \\\\ P^\\prime = b\\; G - d\\; P + n$$\nThe parameters $a$, $b$, $c$, $d$ are positive, and have the same interpretation as before. The new parameters $m$ and $n$ can take positive or negative values, depending on the situation under consideration.  To understand the interpretation of these parameters, explore the following questions <P>\n\n<UL>\n  <LI>Consider country $G$, and suppose $m$ is positive. What effect does it have on $G$'s military spending? Does your conclusion depend in any way on the other country $P$'s military spending?\n  <LI>Likewise, if $m$ is negative, it has a certain effect on $G$, independent of other factors.\n  <LI>Clearly, the parameter $m$ is trying to capture some behavior pattern of $G$ that persists independent of other things.  A common interpretation is that it accounts for historical grievances (if $m$ is positive), or good will (if $m$ is negative) that country $G$ feels towards country $P$.  A similar interpretation applies to parameter $n$.\n  <LI>Note that the range of typical numerical values for $m$ and $n$ is very different from those of the other parameters.  Why?  Hint: Look closely at the terms in the equations; think about comparing their magnitudes.\n</UL>\nDespite its simplicity, the Richardson model is quite flexible in that it allows arms race analysts to choose the relative importance of the 3 driving factors, based on their own differing beliefs. For example, any of the parameters can be set to 0, if one believes it doesn't play a significant role in any particular nation's arms strategy.\n<P>&nbsp;<BR>\n\nTo explore some of these possibilities, let's try simulating a few different  parameter values and initial conditions using the interactive segment below. Discuss what you find, e.g., do you get runaway arms buildups? do you get complete mutual disarmament? is it possible to get a fixed point (i.e., a constant value of $G$ and $P$ that doesn't change as $t$ increases)? etc.?"}︡{"done":true}︡
︠83229735-7f00-4e07-8201-e94f9907e822si︠
%hide
# System is: g' = -c*g + a*p + m;  p' = b*g - d*p + n
g, p, t = var('g p t')
@interact
def _( a=slider(0, 1, step_size=0.01, default=0.2, label='a', width=20), b=slider(0, 1, step_size=0.01, default=0.2, label='b', width=20), c=slider(0, 1, step_size=0.01, default=0.08, label='c', width=20), d=slider(0, 1, step_size=0.01, default=0.05, label='d', width=20), m=slider(-10, 10, step_size=1, default=3, label='m', width=20), n=slider(-10, 10, step_size=1, default=1, label='n', width=20), ic_g=input_box(30, 'G(0)=', width=10), ic_p=input_box(50, 'P(0)=', width=10), auto_update=False ):
    de1 = a*p - c*g + m
    de2 = b*g - d*p + n
    P = desolve_system_rk4 ([de1, de2], [g, p], ics=[0, ic_g, ic_p], ivar=t, end_points=[0,15] )
    Q = [ [j,k] for i, j, k in P]
    #list_plot(Q, axes_labels=['$S$', '$B$'])
    show(line(Q, axes_labels=['$G$', '$P$'], color='green', thickness=2, title='Phase plot'))

    # The following creates plots of S vs t and B vs t:
    QS = [ [i,j] for i, j, k in P]
    QB = [ [i,k] for i, j, k in P]
    SS = line(QS, axes_labels=['$t$ (year)', 'spending'], legend_label='G', color='blue', thickness=2)
    SB = line(QB, axes_labels=['$t$ (year)', 'spending'], legend_label='P', color='green', thickness=2)
    show(SS+SB)
︡ea2839d9-e7a2-4300-9f70-2f589f1b5894︡{"hide":"input"}︡{"interact":{"controls":[{"animate":true,"control_type":"slider","default":20,"display_value":true,"label":"a","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"a","width":20},{"animate":true,"control_type":"slider","default":20,"display_value":true,"label":"b","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"b","width":20},{"animate":true,"control_type":"slider","default":8,"display_value":true,"label":"c","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"c","width":20},{"animate":true,"control_type":"slider","default":5,"display_value":true,"label":"d","vals":["0.000000000000000","0.0100000000000000","0.0200000000000000","0.0300000000000000","0.0400000000000000","0.0500000000000000","0.0600000000000000","0.0700000000000000","0.0800000000000000","0.0900000000000000","0.100000000000000","0.110000000000000","0.120000000000000","0.130000000000000","0.140000000000000","0.150000000000000","0.160000000000000","0.170000000000000","0.180000000000000","0.190000000000000","0.200000000000000","0.210000000000000","0.220000000000000","0.230000000000000","0.240000000000000","0.250000000000000","0.260000000000000","0.270000000000000","0.280000000000000","0.290000000000000","0.300000000000000","0.310000000000000","0.320000000000000","0.330000000000000","0.340000000000000","0.350000000000000","0.360000000000000","0.370000000000000","0.380000000000000","0.390000000000000","0.400000000000000","0.410000000000000","0.420000000000000","0.430000000000000","0.440000000000000","0.450000000000000","0.460000000000000","0.470000000000000","0.480000000000000","0.490000000000000","0.500000000000000","0.510000000000000","0.520000000000000","0.530000000000000","0.540000000000000","0.550000000000000","0.560000000000000","0.570000000000000","0.580000000000000","0.590000000000000","0.600000000000000","0.610000000000000","0.620000000000000","0.630000000000000","0.640000000000000","0.650000000000000","0.660000000000000","0.670000000000000","0.680000000000000","0.690000000000000","0.700000000000000","0.710000000000000","0.720000000000000","0.730000000000000","0.740000000000000","0.750000000000000","0.760000000000000","0.770000000000000","0.780000000000000","0.790000000000000","0.800000000000000","0.810000000000000","0.820000000000001","0.830000000000001","0.840000000000001","0.850000000000001","0.860000000000001","0.870000000000001","0.880000000000001","0.890000000000001","0.900000000000001","0.910000000000001","0.920000000000001","0.930000000000001","0.940000000000001","0.950000000000001","0.960000000000001","0.970000000000001","0.980000000000001","0.990000000000001","1.00000000000000"],"var":"d","width":20},{"animate":true,"control_type":"slider","default":13,"display_value":true,"label":"m","vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"var":"m","width":20},{"animate":true,"control_type":"slider","default":11,"display_value":true,"label":"n","vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"var":"n","width":20},{"control_type":"input-box","default":30,"label":"G(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_g","width":10},{"control_type":"input-box","default":50,"label":"P(0)=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_p","width":10},{"control_type":"checkbox","default":false,"label":"auto_update","readonly":false,"var":"auto_update"}],"flicker":false,"id":"d845bc11-124d-436d-8c65-adaef2772933","layout":[[["a",12,null]],[["b",12,null]],[["c",12,null]],[["d",12,null]],[["m",12,null]],[["n",12,null]],[["ic_g",12,null]],[["ic_p",12,null]],[["auto_update",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}︡









