︠1246a81b-deaf-4698-bb88-97d0a63f5be2si︠
%hide
latex.add_to_preamble('\usepackage{color}')
latex.add_to_preamble('\definecolor{blue}{rgb}{0,0,1}')
latex.add_to_preamble('\definecolor{dkblue}{rgb}{0,0,0.3}')
latex.add_to_preamble('\definecolor{red}{rgb}{1,0,0}')
latex.add_to_preamble('\definecolor{dkred}{rgb}{0.4,0.01,0.01}')
latex.add_to_preamble('\definecolor{dkgreen}{rgb}{0.01,0.3,0.01}')
latex.add_to_preamble('\setlength{\parindent}{0in}')
︡b69d58e4-25c8-4ea8-a2e3-fec89798005f︡{"hide":"input"}︡{"done":true}︡
︠7afdbe8a-2648-48bd-9bcc-437f68f0a968si︠
%hide
%latex
%\begin{center}
\section*{\color{dkred}Basic 2d plots}
%\end{center}

\noindent
Working with 2d plots is needed in a variety of mathematical 
contexts later.  Sage provides an extensive range of features for making 
plots.  \\[-6pt]

Here are some plot types we will cover in this module:
\begin{enumerate}
  \item Simple $y=f(x)$ type of plots
  \item Piecewise plots
  \item Implicit curves
  \item Parametric plots
  \item Plots of discrete data
  \item Overlaying multiple plots
\end{enumerate}

%\noindent
In addition, various related features, such as plot colors, line types, 
line thickness, aspect ratios, titles, labels, etc., will be illustrated.
︡1b213f17-e102-4308-b4df-6304e08f126e︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpvMMOd1.png","show":true,"text":null,"uuid":"232e157f-739c-4d39-abc1-a51341d7887a"},"once":false}︡{"done":true}︡
︠21c730f7-bc97-4181-809a-bdde9f8689d2si︠
%hide
%latex
\color{dkgreen}
Example 1: Plot $y=2x+e^{-x}$ on the interval $(-4,4)$
︡241475ba-daa5-4332-896a-2164380987d9︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpgMCrOJ.png","show":true,"uuid":"b8aacfac-144f-4197-9138-4bb558d8144a"},"once":false}︡{"done":true}
︠8043215f-f837-4cb4-a227-d3782441890es︠
plot(2*x+exp(-x), (x,-4,4))
︡d8edc56c-070e-408f-8af6-80c99725977e︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_MKaU1W.svg","show":true,"text":null,"uuid":"1fe00162-c4d8-4427-bce9-3c5ea48c17cc"},"once":false}︡{"done":true}︡
︠0e06c679-73f3-4336-bb02-b5c18d2532b6si︠
%hide
%latex
\small Add axes labels and change plot color to green, with thick, dashed lines:
︡adca0cea-fa65-481c-a1b4-74b4789b5fb1︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpyVAs_Y.png","show":true,"text":null,"uuid":"0047294b-3c2f-46cc-80e5-6cb1f1a94e99"},"once":false}︡{"done":true}︡
︠065ef831-899d-404a-9850-7cc328b479fes︠
plot(2*x+exp(-x), (x,-4,4), axes_labels=['$x$', '$2x+e^{-x}$'], color='green', linestyle='--', thickness=3)
print('\n\n NOTE: Sage understands Latex syntax for typesetting math expressions in axes labels.')
︡65c06f45-638d-4fb2-80ab-ea7c0c46879c︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_WDa2xJ.svg","show":true,"text":null,"uuid":"f2e633f8-7420-41a6-853a-958b0acf8f5f"},"once":false}︡{"stdout":"\n\n NOTE: Sage understands Latex syntax for typesetting math expressions in axes labels.\n"}︡{"done":true}︡
︠7ecc0912-ef58-4185-b11b-6ff2934b825bsi︠
%hide
%latex
\color{dkblue}
Exercise 1: Plot each of the following as instructed
\begin{enumerate}
  \item $y=3x^2 - 5x + 1$, on the domain $[-2,2]$.
  \item $f(x)=\sin x \cdot \cos x$, on $[-2\pi, 3\pi]$, with 
    axes labels, and dotted black line.
  \item $v(t)=t^2 \, e^{-t}$, on $[-1, 10]$, with axes labels, 
    and thick blue line. \\
    Q: Did you use $t$ instead of $x$ in your plot command? Why, or why not?!
\end{enumerate}

︡e1935cf5-d061-4171-af6d-21066fd92a74︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp5hpAnW.png","show":true,"text":null,"uuid":"ef09c655-b9f1-470a-b3dd-143020ecd48d"},"once":false}︡{"done":true}︡
︠1820821f-bf4b-4513-82dd-5feb8c6e8d2aio︠
%hide
print('Some hints:')
print('    Sage uses syntax like x^2, 5*x, etc., for arithmetic operations.')
print('    Also, all functions require parentheses, like exp(-x), or sin(3*x), etc.')
︡d5b81083-f06a-46de-8f01-0da95debaa9f︡{"hide":"input"}︡{"stdout":"Some hints:\n"}︡{"stdout":"    Sage uses syntax like x^2, 5*x, etc., for arithmetic operations.\n"}︡{"stdout":"    Also, all functions require parentheses, like exp(-x), or sin(3*x), etc.\n"}︡{"done":true}︡
︠e0aefd10-b786-4e20-86e2-fd37cd98e570si︠
%hide
%latex
\color{dkgreen}
Example 2: Plot $f(x)=\left\{\begin{array}{ll} x^2, & \mbox{ if } x \le 0 \\ 5-x, & \mbox{ if } 0<x\le 4 \\ 
\ln(x), & \mbox{ if } x>4 \end{array}\right.$ 
      
︡891bf541-7840-4c90-a020-8f874eca894e︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp7SQ9nD.png","show":true,"text":null,"uuid":"87b380e9-692e-4158-9306-bf5d99c6d289"},"once":false}︡{"done":true}︡
︠79142333-d2c9-48c5-831a-b9cdfa0e9f70s︠
# Piecewise plots.
f1 = x^2
f2 = 5-x
f3 = ln(x)
f = piecewise( [ ((-infinity,0),f1), ((0,4),f2), ((4,infinity),f3) ] )
f.plot((x,-4,10), axes_labels=['$x$', '$f(x)$'])
# NOTE: If we don't want vertical lines at the points of discontinuity, use the following instead:
#f.plot(x,-4,10, exclude=[0,4])
︡0d4fb73b-985d-498e-ad99-b012f5cff7aa︡{"file":{"filename":"/projects/5af60d30-8ee0-4c83-b7d2-6a0b68f44907/.sage/temp/compute3-us/10159/tmp_SBk0Ml.svg","show":true,"text":null,"uuid":"3d2ee057-769f-4bc6-9853-dccac146de62"},"once":false}︡{"done":true}︡
︠a7beb727-493b-4bec-af10-8f50b6d7ab35s︠
# Another way to do the same/similar piecewise plot:

f1 = plot(x^2, x, -4, 0)    # I cannot use -infinity for lower bound here. So I used -4.
f2 = plot(5-x, x, 0, 4)
f3 = plot(ln(x), x, 4, 10)  # I cannot use infinity for upper bound. So I used 10.
(f1+f2+f3).show(xmin=-4, xmax=10, axes_labels=['$x$', '$f(x)$'])
︡8cd4bd3d-6efd-426e-960f-0f8b679165e2︡{"file":{"filename":"/projects/5af60d30-8ee0-4c83-b7d2-6a0b68f44907/.sage/temp/compute3-us/10159/tmp_t0_Ayo.svg","show":true,"text":null,"uuid":"4909506e-27d0-45c9-88fa-87be5c21fb91"},"once":false}︡{"done":true}︡
︠a204a6de-f29b-4760-b6ba-f5e2321a413fis︠
%hide
%latex
Notice, the piecewise plot has some incorrect and/or undesirable features: \\
(1) The graph has vertical lines at the jump discontinuities \\
(2) Function values at the discontinuities are not correctly shown \\[4pt]
It is possible to fix these problems in a somwhat ad-hoc way, as shown below
︡4b3e22a7-e435-4a22-8b36-a98199b6f5cb︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpLjH3T3.png","show":true,"text":null,"uuid":"1279c81e-bd3b-4930-b95a-dca942bdaae6"},"once":false}︡{"done":true}︡
︠5a62571c-3986-4021-a015-3b8a163e8bf8s︠
f1 = x^2
f2 = 5-x
f3 = ln(x)
f = plot( piecewise( [ ((-infinity,0),f1), ((0,4),f2), ((4,infinity),f3) ] ), (x,-4,10), axes_labels=['$x$', '$f(x)$'], exclude=[0,4] )
pt1 = point([(0,0), (4,1)], color='black', pointsize=50)
pt2 = point([(0,5), (4,ln(4))], color='white', pointsize=50, faceted='true')
(f+pt1+pt2).show()

︡4af3b11b-123f-4eab-8e13-9aae51e18d99︡{"file":{"filename":"/projects/5af60d30-8ee0-4c83-b7d2-6a0b68f44907/.sage/temp/compute3-us/10159/tmp_Ev0ptG.svg","show":true,"text":null,"uuid":"b657bbc7-1c38-4511-9236-4469622a69c5"},"once":false}︡{"done":true}︡
︠daeb610c-57f4-46e2-a55c-ab9dda8db2d8i︠

%hide
%latex
\color{dkblue}
Exercise 2: Plot each of the following
\begin{enumerate}
  \item $y=\left\{\begin{array}{ll} \sqrt{-x}, & \mbox{ if } x < -1 \\ 2+x, & \mbox{ if } |x|\le 1 \\ 
e^{x}, & \mbox{ if } x>1 \end{array}\right.$
  \item $f(x)=\left\{\begin{array}{ll} 2x-1, & \mbox{ if } x < 0 \\ 2^x - 2, & \mbox{ if } 0\le x \le 2 \\ 
0, & \mbox{ if } 2<x\le 4 \\ x-4, & \mbox{ if } x>4 \end{array}\right.$, with 
    axes labels, and thick red line.
\end{enumerate}
︡adef1636-faad-4944-8850-adcfd9f4bd2b︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp0sdQMI.png","show":true,"text":null,"uuid":"99448c5d-cd22-41e7-9d18-4e89582da718"},"once":false}︡{"done":true}︡
︠6f89a1ce-6940-47ad-9419-3fc6daaeb454i︠

%hide
%latex
\color{dkgreen}
Example 3: Plot the implicit curve $\cos(xy) = x^2-y$
︡4b5bb39f-55b9-479c-8f9e-554139738c61︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpvrKdqm.png","show":true,"text":null,"uuid":"ad80d834-5770-4124-bda3-e4f43df87485"},"once":false}︡{"done":true}︡
︠d6cbae0a-034f-4178-b012-272482351f3c︠
y = var('y')  # This defines y as another variable. By default you get only x.
implicit_plot( cos(x*y)==x^2 - y, (x,-3,3), (y,-2,8) )
print('\n NOTE the "==" sign used to denote the conditional equality.')
︡651501b3-6d43-4150-b977-b60a25e1ad62︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/9723/tmp_OD6XJg.svg","show":true,"text":null,"uuid":"91b7f34a-6b32-416b-a9d7-73259654e2e8"},"once":false}︡{"stdout":"\n NOTE the \"==\" sign used to denote the conditional equality.\n"}︡{"done":true}︡
︠c64cc702-96b7-4a1e-8181-1c042c2a5b44i︠

%hide
%latex
\color{dkblue}
Exercise 3: Plot each of the following
\begin{enumerate}
  \item $xe^y =y\cos x - x\sin y$, on $x\in(-6,6)$, $y\in(-5,3)$
  \item $y^2(y^2-6) = x^2(x^2-8)$, on $x\in(-5,5)$, $y\in(-5,5)$, 
    with thick green line and axes labels.
\end{enumerate}
︡f07642cb-06f2-499f-806b-2192e8921e50︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpSbZLpY.png","show":true,"text":null,"uuid":"5e965432-efa4-4add-8ca2-a603536c3e46"},"once":false}︡{"done":true}︡
︠5d2d6ef6-b71e-4a57-95a1-c23cedc6bfdci︠

%hide
%latex
\color{dkgreen}
Example 4: Plot the parametric curve \\ $x=\sin(t^2-\cos t), ~~ y = \cos(3t)$
︡4a99d811-4177-470c-b6bd-d58b50dd10a8︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp8v0x8d.png","show":true,"text":null,"uuid":"494eef11-0d7b-41df-b9ab-bb819ea15cb9"},"once":false}︡{"done":true}︡
︠c9745122-35f2-48e3-b97c-3285037956fd︠
# parametric plots
t = var('t')
parametric_plot( ( sin(t^2-cos(t)), cos(3*t) ), (t,-pi/2,pi) )
︡ae5bfa3f-0470-4e6c-89a5-e44990707418︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/8531/tmp_kWn62S.svg","show":true,"text":null,"uuid":"06d5ba21-40b8-4b8e-915f-affe53325e1f"},"once":false}︡{"done":true}︡
︠03fa2367-b714-4727-a859-39c382fe2106i︠

%hide
%latex
\color{dkblue}
Exercise 4: Plot the following parametric curves
\begin{enumerate}
  \item $x=t+\sin(2t)$ \\ $y=t+\sin(3t)$, on $t\in(-10,10)$
  \item $x=4\sin(t+\cos(100t))$ \\ $y=4\cos(t+\sin(100t))$, on $t\in(0,6)$, 
    with axes labels.
\end{enumerate}
︡5d67011a-590e-4676-9ac2-c5e33b9290ec︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpYeGIUv.png","show":true,"text":null,"uuid":"aa6de63b-3059-42de-a44e-58e09630b86e"},"once":false}︡{"done":true}︡
︠b4934396-9810-4e48-b1c5-5e5a6658cdb1si︠
%hide
%latex
\color{dkgreen}
Example 5: Plots of discrete $(x,y)$ data can be made using at 
least 3 different methods \\
\hspace*{4em} (a) using the "scatter\_plot" command \\
\hspace*{4em} (b) using the "point" command, or \\
\hspace*{4em} (c) using the "line" command.  \\
\hspace*{3em} Here we will plot the set of points \\
\hspace*{3em} \small 
$\begin{array}{crrrrrrrr} x= & -4.8 & -3.1 & -2.2 & -0.7 & 0.2 & 2.5 & 4.0 & 5.6 \\ 
y= & 3.7 & 2.9 & 2.4 & 2.2 & 3.5 & 5.8 & 9.6 & 6.3
\end{array}$ \\[6pt]
\hspace*{3em} 
Note that all 3 of the above commands require inputing a list of ordered pair of points.
︡bb262480-f3f6-4026-8b9f-90db5dbe9d2d︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpJnJqqn.png","show":true,"text":null,"uuid":"30e8f8e9-01ff-4ea0-b4ff-eb98cae7a744"},"once":false}︡{"done":true}︡
︠57539562-a2f1-47fb-9ead-da4535cd12db︠
# Plots of (x,y) data: Can use the "scatter_plot" command, the "point" command, or the "line" command.
# Must create a list of 2d ordered pairs of points.
# It doesn't work with 2 separate lists -- it must be one list of 2-tuples.

xl = [-4.8, -3.1, -2.2, -0.7, 0.2, 2.5, 4.0, 5.6]
yl = [3.7, 2.9, 2.4, 2.2, 3.5, 5.8, 9.6, 6.3]
datapoints = zip(xl, yl)    # The "zip" command creates matched pairs from 2 separate lists.
scatter_plot(datapoints, axes_labels=['$x$', '$y$'], markersize=30)
point(datapoints, axes_labels=['$x$', '$y$'], pointsize=30)
line(datapoints, axes_labels=['$x$', '$y$'], color='blue')

︡cd5354af-989f-4a4e-af2b-15cc770b8dde︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_MVRb2z.svg","show":true,"text":null,"uuid":"9ce76e95-264a-49fa-944b-865f6e6017cd"},"once":false}︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_Dz6aHq.svg","show":true,"text":null,"uuid":"09a98b6c-4e7a-4c9d-aeec-bc8978374ad7"},"once":false}︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_ePm7tq.svg","show":true,"text":null,"uuid":"b341c096-8d88-4ac5-bf4c-988d1022254b"},"once":false}︡{"done":true}︡
︠7423ead6-f4ba-4442-8364-8f2227eb8d69is︠
%hide
%latex

\subsubsection*{$x$-$y$ plots from a data file}

One way to do this is to read the data from your file into a list 
of ordered pairs. Then the same commands used above for scatter plots, 
etc., will work. An example is shown below, where our data comes 
from a file named {\tt globtemp.csv}:
︡1d017126-9696-48e6-988d-8c6caeaf766b︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpI54oZF.png","show":true,"text":null,"uuid":"88b1a50f-b042-4c44-a1db-235bbd1675e7"},"once":false}︡{"done":true}︡
︠377a455a-afd2-48ef-bac8-42795c9d7a87s︠
f = open('./globtemp.csv')  # This file has comma separated data, with a plain text header line.
datapoints = []            # This will assemble my data, in the form of a list of ordered pairs
headerline = f.readline()  # Read & discard the header line
line = f.readline()        # This is the first line of actual data
while (line !=''):
    xy = line.split(',')   # The comma splits each line into two items of data
    datapoints.append((float(xy[0]),float(xy[1])))
    line = f.readline()

point(datapoints, axes_labels=['year', 'temp $^\circ$C'], pointsize=30)
︡f0a85832-0415-49de-b8dd-9c4a0beb5ee6︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/31425/tmp_9DvK_y.svg","show":true,"text":null,"uuid":"4e70e638-96fe-49fa-ac7b-7566f57d21e3"},"once":false}︡{"done":true}︡
︠007af1e7-1dc2-47f4-a925-526d19aaf4ccsi︠

%hide
%latex

\subsubsection*{Overlaying multiple plots}

Any plot in Sage can be saved or assigned to a local variable.  A simple way 
to overlay plots is to first assign them to different variables, and then 
plot them all together.  An example is shown below \\~\\
\color{dkgreen}
Example: Plot $y=2x+e^{-x}$ and the implicit curve $\cos(xy) = x^2-y$ 
on a common set of axes.
︡b9b704b5-f28e-4d57-bdf5-3d5b60f6399b︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmptiR68X.png","show":true,"text":null,"uuid":"c4c64eb9-bf55-4503-be7a-8f126709a345"},"once":false}︡{"done":true}︡
︠3c09f109-ce4f-4361-a2be-feb5941b5902s︠
y = var('y')
p = plot(2*x+exp(-x), (x,-3,3), color='green', linestyle='--', thickness=2, aspect_ratio=1)
q = implicit_plot( cos(x*y)==x^2 - y, (x,-3,3), (y,-2,8), figsize=8, aspect_ratio=1 )
show(p+q)
︡427b56a3-3342-4f13-9fac-bdfec3aabf84︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/7976/tmp_tFIqnR.svg","show":true,"text":null,"uuid":"41148930-0a11-4f10-b6d0-5516ce984b8c"},"once":false}︡{"done":true}︡
︠aaf34181-2b89-4e5e-b15f-d3fe7b2931a1is︠
%hide
%latex
\color{dkblue}
Exercise 5: Plot the data in the table below on a common set of axes.  
In other words, we want $f(x)$ vs $x$ and $g(x)$ vs $x$ in one plot. 

$\begin{array}{rrrrrrr} x= & 1.6 & 3.7 & 4.2 & 5.5 & 7.0 & 8.6 \\ 
f(x)= & 2.9 & 5.4 & 6.2 & 3.5 & -0.8 & -2.6 \\
g(x)= & -3.0 & -2.0 & -0.5 & 1.9 & 3.0 & 3.7 \end{array}$ \\[6pt]
︡1bea83be-d71d-493e-af90-2aa972d1cad3︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpnB3FmC.png","show":true,"text":null,"uuid":"f6c3e5ff-0d85-48ac-9df6-a326fe3b73df"},"once":false}︡{"done":true}︡
︠ea971bb0-41ea-47fa-8774-cbdd92c99f70si︠
%hide
%html

<FONT COLOR="#A30856">
<H4>The coolest graph game!</H4>
</FONT>

It is possible to make some really interesting and unusual 
artistic sketches using graphs.  In particular, implicit 
curves and parametric curves lend themselves to a variety 
of different shapes and forms.  The following sketch shows 
an example (you can see the plot commands by clicking on the 
little triangular tab below):
︡d710444c-da68-4b62-adcf-1b9b4c1c101e︡{"hide":"input"}︡{"html":"\n<FONT COLOR=\"#A30856\">\n<H4>The coolest graph game!</H4>\n</FONT>\n\nIt is possible to make some really interesting and unusual \nartistic sketches using graphs.  In particular, implicit \ncurves and parametric curves lend themselves to a variety \nof different shapes and forms.  The following sketch shows \nan example (you can see the plot commands by clicking on the \nlittle triangular tab below):"}︡{"done":true}︡
︠17ca8575-defd-484a-9191-31b1b61b0357s︠
y = var('y')
mouth = implicit_plot( (-y+2.4)^2*(2.2-x^2)==(x^2+3*(-y+2.4)-2)^2, (x,-6,6), (y,-2,8), linewidth=3, color='red' )
head = implicit_plot( 10*x^2==y^3*(6-y), (x,-6,6), (y,-2,8), linewidth=2 )
rear = implicit_plot( ((x-3.6)^2 + (y-4)^2)^2==(x-3.6)^2 - (y-4)^2, (x,-6,6), (y,-2,8), linewidth=2, color='green' )
lear = implicit_plot( ((x+3.6)^2 + (y-4)^2)^2==(x+3.6)^2 - (y-4)^2, (x,-6,6), (y,-2,8), linewidth=2, color='green' )
t = var('t')
reye = parametric_plot( ( 0.02*t*cos(t)+1.5, 0.02*t*sin(t)+4 ), (t,0,20), color='black' )
leye = parametric_plot( ( 0.02*t*cos(-t+pi)-1.5, 0.02*t*sin(-t+pi)+4 ), (t,0,20), color='black' )

show(mouth+head+lear+rear+reye+leye)
︡692fb5e5-b39b-4af5-9ab9-8d0aef99a7e9︡{"file":{"filename":"/projects/5af60d30-8ee0-4c83-b7d2-6a0b68f44907/.sage/temp/compute3-us/2684/tmp_KmKcGt.svg","show":true,"text":null,"uuid":"b6671e6d-0395-4a0e-8bfe-6b4fcd89e9f3"},"once":false}︡{"done":true}︡
︠7cfcb869-dfce-4aef-acbf-f710e98d7c80si︠
%hide
%html

Explore the 
following examples, and try out your own variations in an effort 
to make your own coolest graphs  <P>

<OL>
  <LI>$x = 0.02 t \cos(t)$, <SUP>&nbsp;</SUP>$y = 0.02 t \sin(t)$.  Use 
$t$=0 to 10, and $t$=0 to 100. <BR>
Variations: Replace one of the 0.02 by 0.04. <BR>
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
Replace $\sin(t)$ by  $\sin(2t)$ or $\cos(t)$ by $\cos(2t)$.<BR>
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
Interchange and/or replace $\sin$ with $\cos$.

  <LI>$x = 2 \sqrt{\cos(20t)} \cos t$, <SUP>&nbsp;</SUP>
    $y = 2 \sqrt{\cos(20t)} \sin t$.  
  Let $t$=0 to 100. <BR>
Variations: Replace $\cos(20t)$ with $[\cos(20t)]^{(1/20)}$ <BR>
<!-- &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
 Replace cos(20t) with [cos(0.9t)]^(1/0.9). -->

  <LI>$x = t + \sin (2t)$, <SUP>&nbsp;</SUP> $y = t + \sin (3t)$ <BR>
Variations: Replace $\sin$ with $\cos$.  Play with different numbers. <BR>
  <LI>$x = 4 \cos t$, <SUP>&nbsp;</SUP> $y = 2 \sin (t + \sin (150t))$
  <LI>$x = 1.5 \cos t - \cos (30t)$, <SUP>&nbsp;</SUP>
    $y = 1.5 \sin t - \sin (30t)$
  <LI>$x = 4 \sin (t + \cos (100t))$, <SUP>&nbsp;</SUP>
    $y = 4 \cos (t + \sin (100t))$
<BR>
  <LI>$y^2 (y^2 - 6) =  x^2 (x^2 - 8)$
  <LI>$y^2 = x^3 + 3 x^2$ <SUP>&nbsp;</SUP>
</OL>

︡513abed0-1b1e-401d-8701-a979acec2c0d︡{"hide":"input"}︡{"html":"\nExplore the \nfollowing examples, and try out your own variations in an effort \nto make your own coolest graphs  <P>\n\n<OL>\n  <LI>$x = 0.02 t \\cos(t)$, <SUP>&nbsp;</SUP>$y = 0.02 t \\sin(t)$.  Use \n$t$=0 to 10, and $t$=0 to 100. <BR>\nVariations: Replace one of the 0.02 by 0.04. <BR>\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\nReplace $\\sin(t)$ by  $\\sin(2t)$ or $\\cos(t)$ by $\\cos(2t)$.<BR>\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\nInterchange and/or replace $\\sin$ with $\\cos$.\n\n  <LI>$x = 2 \\sqrt{\\cos(20t)} \\cos t$, <SUP>&nbsp;</SUP>\n    $y = 2 \\sqrt{\\cos(20t)} \\sin t$.  \n  Let $t$=0 to 100. <BR>\nVariations: Replace $\\cos(20t)$ with $[\\cos(20t)]^{(1/20)}$ <BR>\n<!-- &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n Replace cos(20t) with [cos(0.9t)]^(1/0.9). -->\n\n  <LI>$x = t + \\sin (2t)$, <SUP>&nbsp;</SUP> $y = t + \\sin (3t)$ <BR>\nVariations: Replace $\\sin$ with $\\cos$.  Play with different numbers. <BR>\n  <LI>$x = 4 \\cos t$, <SUP>&nbsp;</SUP> $y = 2 \\sin (t + \\sin (150t))$\n  <LI>$x = 1.5 \\cos t - \\cos (30t)$, <SUP>&nbsp;</SUP>\n    $y = 1.5 \\sin t - \\sin (30t)$\n  <LI>$x = 4 \\sin (t + \\cos (100t))$, <SUP>&nbsp;</SUP>\n    $y = 4 \\cos (t + \\sin (100t))$\n<BR>\n  <LI>$y^2 (y^2 - 6) =  x^2 (x^2 - 8)$\n  <LI>$y^2 = x^3 + 3 x^2$ <SUP>&nbsp;</SUP>\n</OL>"}︡{"done":true}︡









