︠817bd1ee-1b1c-4686-a5b0-b6d24719eb6csi︠
%hide
latex.add_to_preamble('\usepackage{color}')
latex.add_to_preamble('\definecolor{blue}{rgb}{0,0,1}')
latex.add_to_preamble('\definecolor{dkblue}{rgb}{0,0,0.3}')
latex.add_to_preamble('\definecolor{red}{rgb}{1,0,0}')
latex.add_to_preamble('\definecolor{dkred}{rgb}{0.4,0.01,0.01}')
latex.add_to_preamble('\definecolor{dkgreen}{rgb}{0.01,0.3,0.01}')
latex.add_to_preamble('\setlength{\parindent}{0in}')
︡dc036208-e003-41c0-9c3c-60eb2ab35692︡{"hide":"input"}︡{"done":true}︡
︠74c5f6a2-0117-4a1f-abe0-8c433e5a2b80si︠
%hide
%latex
%\begin{center}
\section*{\color{dkred}3d graphics}
%\end{center}

\noindent
Sage offers the possibility of making several different kinds 
of 3D graphical objects.  Some of them are more frequently 
needed in routine mathematical work than others. 
We will cover the following types of 3D graphics here:
\begin{enumerate}
  \item Plots of $z=f(x,y)$ types of functions:
  \begin{itemize}
    \item[a.] Surface plots
    \item[b.] Contour plots
  \end{itemize}
  \item Implicit plots
  \item Parametric plots
  \item Surfaces of revolution
  \item Plots of discrete data
\end{enumerate}

Additionally, many standard 3D shapes (such as spheres, cubes, 
cones, etc.) have pre-built commands with intuitive inputs. \\

The following web pointer has more extensive information on 
3d graphics, and numerous examples:
︡f513a651-fe87-495a-aeaf-d56f2a46db89︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmppaWzcA.png","show":true,"text":null,"uuid":"2c163ddd-5dba-4df5-8f6a-687d171f8f92"},"once":false}︡{"done":true}︡
︠0172167e-c068-4560-9b95-d730017e813dsi︠
%hide
%html
<A HREF="https://doc.sagemath.org/html/en/reference/plot3d/">
https://doc.sagemath.org/html/en/reference/plot3d/</A>
︡87ac91d1-e4fb-4a46-a9ba-ebfd6e874ac9︡{"hide":"input"}︡{"html":"<A HREF=\"https://doc.sagemath.org/html/en/reference/plot3d/\">\nhttps://doc.sagemath.org/html/en/reference/plot3d/</A>"}︡{"done":true}︡
︠1d316eaf-f26e-4a72-acb1-1e0520dd9bc9i︠
%hide
%latex
\color{dkgreen}
Example 1: Plot $f(x,y)=y^2-x^2$ on the domain $(-1,1)\times (-1,1)$ \\

We will use the {\tt plot3d} command with the minimum necessary inputs, 
which is 3.  The command also takes numerous optional inputs, some of 
which we will see later.
︡572d34e4-1f59-4e38-9314-9a6212696022︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpTmMiHF.png","show":true,"text":null,"uuid":"1eb78625-3004-48dd-89ea-6a6c4ab9df86"},"once":false}︡{"done":true}︡
︠0aebf40f-7f71-43c7-9ad2-0672843cf912︠
x, y = var('x, y')
plot3d(y^2-x^2, (x,-1,1), (y,-1,1))
print('\n')
print('You can click and rotate the image to view it from different angles')
︡4eec5b06-b6aa-41ac-bd11-f3cf5600d54f︡{"file":{"filename":"2d667933-f678-428f-a072-e088e35c1a5a.sage3d","uuid":"2d667933-f678-428f-a072-e088e35c1a5a"}}︡{"stdout":"\n\n"}︡{"stdout":"You can click and rotate the image to view it from different angles\n"}︡{"done":true}︡
︠44889d3c-3eab-4807-af6c-df855c0d6a2ai︠
%hide
%latex
\color{dkgreen}
Continuing with Example 1, let's look at a contour plot of the same function.  
Again, we will run the command with the minimum necessary inputs, although 
it offers a lot more options.   Note that {\tt colorbar} and {\tt axes\_labels} 
are optional, but we've included them because they are extremely uesful.
︡88bd010e-c888-4deb-bf86-7f745de878fc︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpkeM5w8.png","show":true,"text":null,"uuid":"adbacce8-e92c-4fe2-99f2-b2a35a907ffa"},"once":false}︡{"done":true}︡
︠d5617b72-9a83-41a0-9d10-07896c621df5︠
x, y = var('x, y')
contour_plot(y^2-x^2, (x,-1,1), (y,-1,1), colorbar=True, axes_labels=['$x$', '$y$'])
︡a91a175f-fe14-428c-9d7c-cd45c621427e︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/3547/tmp_umsLQ3.svg","show":true,"text":null,"uuid":"a9b436e6-f42b-4eaf-ada7-23b5044e624d"},"once":false}︡{"done":true}︡
︠7b4e305d-e154-4bbc-8690-322cca244643i︠
%hide
%latex
\color{dkgreen}
Example 1 continued: \\
What does the contour plot show that the surface plot does not? \\
Conversely, what does the surface plot show that the contour plot doesn't?
︡79013267-96bd-483f-b2f7-b49d8161fcff︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpk8RaP4.png","show":true,"text":null,"uuid":"3a0876f6-d0bf-41cc-8367-9763723e19ee"},"once":false}︡{"done":true}︡
︠ee2a71ea-7aca-42c0-b138-26d47b47acb1i︠
%hide
%latex
Implicit plots use the {\tt implicit\_plot3d} command. \\[6pt]
\color{dkgreen}
Example 2: Plot the implicit surface $\cos(xy) = x^2-xz-y+\sin(z)$
︡cdff27fd-c6c5-40e0-a6ad-fe281e7e13a9︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpSGK34O.png","show":true,"text":null,"uuid":"160329d4-deb9-4896-a3be-5b995c51174e"},"once":false}︡{"done":true}︡
︠205e79f9-9aca-4b9e-bbc4-3414a907873f︠
x, y, z = var('x, y, z')
implicit_plot3d( cos(x*y)==x^2 - x*z - y + sin(z), (x,-3,3), (y,-2,2), (z,-3,3) )
︡a129a73a-db76-4a66-ab3b-f2bc2f245368︡{"file":{"filename":"b6cc7aad-32db-45bf-a8a9-3273630f38af.sage3d","uuid":"b6cc7aad-32db-45bf-a8a9-3273630f38af"}}︡{"done":true}︡
︠e4e25283-eef7-4bae-8215-3f6ceb8f6807is︠
%hide
%latex
3D parametric plots are oriented curves or surfaces, depending on 
the number of parameters involved. \\[6pt]
\color{dkgreen}
Example 3.1 (1-parameter): Plot $x=t\;\cos t, ~~ y = t\;\sin t, ~~ z=t$
︡6a6f436b-1bc8-4741-8007-4c37a53f5e06︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpYYXqOE.png","show":true,"text":null,"uuid":"ab274550-5255-4b8c-a87c-477f27b7aa9e"},"once":false}︡{"done":true}︡
︠422035d1-25f9-482e-82cd-e6d6a94c7855︠
t = var('t')
parametric_plot( ( t*cos(t), t*sin(t), t ), (t,-pi/2,pi) , thickness=3 )
︡4a5f512e-c546-4830-9f7d-df68c7ec684f︡{"file":{"filename":"c3484805-dedf-4e8f-bd48-345fe95f138f.sage3d","uuid":"c3484805-dedf-4e8f-bd48-345fe95f138f"}}︡{"done":true}︡
︠a5b34a26-6cc0-4ff0-a962-3ab7cf3ce905i︠
%hide
%latex
\color{dkgreen}
Example 3.2 (2-parameters): Plot $x=s\;\cos t, ~~ y = s\;\sin t, ~~ z=t$
︡55daae0a-dc82-43ff-9027-f25c281f0c01︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmprw6FdQ.png","show":true,"text":null,"uuid":"792401c0-b86f-4352-873f-e13e1ad2f8f7"},"once":false}︡{"done":true}︡
︠b948ce5a-1992-435d-a714-47d332992cb2︠
s, t = var('s t')
parametric_plot( ( s*cos(t), s*sin(t), t ), (s,-pi,pi), (t,-pi/2,pi) )
︡b4e801fa-60af-4890-8d19-c55396562801︡{"file":{"filename":"79cfe379-30e0-4f30-97e9-1a05032468f4.sage3d","uuid":"79cfe379-30e0-4f30-97e9-1a05032468f4"}}︡{"done":true}︡
︠53ab7bde-2d82-4db0-9365-d94aaa4bec1esi︠
%hide
%latex
\color{dkblue}
Exercise: Plot each of the following as instructed
\begin{enumerate}
  \item $z=3x^2y - 5x + y$, on some suitable domain. 
  Include a surface plot and a contour plot.
  \item $x=\sin s \cdot \cos t$, $y=s\cdot \sin t$, $z=e^{-t}$, 
  for $s, t \in [-\pi, 2\pi]$.
  \item $x^2+y^2=z^2$, on $x, y, z \in [-3,3]$
  \item $(x^2+(9/4)y^2+z^2-1)^3 -x^2z^3 - (9/80)y^2 z^3 = 0$, 
    on $x, y, z \in [-1.5,1.5]$, with red color.
\end{enumerate}
︡911fa49d-1efd-4ba7-8171-3886f3c994ea︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpDRbAfj.png","show":true,"text":null,"uuid":"0f60ffcd-6cd1-457a-a76e-30b2e751b4b8"},"once":false}︡{"done":true}︡
︠e5f7d286-483e-493d-8c90-c0ff4d4cf046is︠
%hide
%latex

\subsubsection*{\color{dkred}Surfaces of revolution}

Surfaces of revolution can be done in a wide variety of ways, 
and comprise a very powerful tool to visualize 3D shapes.  
The general command we will use is {\tt revolution\_plot3d}.  This 
command takes many optional inputs, whose usage is best learned 
through experimenting.  The web pointer given below provides details 
and numerous examples of the usage of the {\tt revolution\_plot3d} 
command 
︡0f2e86b8-899c-46c5-bb2d-cf6fabb9db8e︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp2b3HLc.png","show":true,"text":null,"uuid":"2e886e9d-de60-4427-a8af-7f9c7231fe1f"},"once":false}︡{"done":true}︡
︠dd9febf3-2a7c-4af8-a996-da4e179ea15cis︠
%hide
%html
<A HREF="https://doc.sagemath.org/html/en/reference/plot3d/sage/plot/plot3d/revolution_plot3d.html">
https://doc.sagemath.org/html/en/reference/plot3d/sage/plot/plot3d/revolution_plot3d.html</A>
︡bee6a028-15dc-44ae-b78a-723094c05c74︡{"hide":"input"}︡{"html":"<A HREF=\"https://doc.sagemath.org/html/en/reference/plot3d/sage/plot/plot3d/revolution_plot3d.html\">\nhttps://doc.sagemath.org/html/en/reference/plot3d/sage/plot/plot3d/revolution_plot3d.html</A>"}︡{"done":true}︡
︠a70ef49b-e09b-410c-b683-0b94abd29355is︠
%hide
%latex
\color{dkgreen}
Example 4a: We will plot several different surfaces using the same basic 
function to illustrate what is really going on here.  By default, a 
$y=f(x)$ type of function revolves around the $z-axis$, and the range 
of $x$ determines what specific surface is generated. In this example, 
$y=\sin x$, and 3 $x$-ranges will be considered: $(0,\pi)$, $(\pi,2\pi)$, 
$(-\pi,\pi)$. Be sure to click and rotate each plot to understand exactly 
what is being plotted.
︡ec64d77d-7058-4bb6-80db-901d3dfec021︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpg6tsot.png","show":true,"text":null,"uuid":"d39570ce-11d7-4712-88df-82f949f655bd"},"once":false}︡{"done":true}︡
︠1193e883-373d-4b4b-89ae-721062034371s︠
x, y = var('x, y')
y = (sin(x))
revolution_plot3d(y, (x,0,pi))
revolution_plot3d(y, (x,pi,2*pi))
revolution_plot3d(y, (x,-pi,pi))
︡f90d7b49-a928-4cd1-889c-10f4d576eef7︡{"file":{"filename":"48dc3f83-14ff-4496-9684-eade74faa20b.sage3d","uuid":"48dc3f83-14ff-4496-9684-eade74faa20b"}}︡{"file":{"filename":"38e1fd80-81c0-4cb9-acad-82c46234f5e6.sage3d","uuid":"38e1fd80-81c0-4cb9-acad-82c46234f5e6"}}︡{"file":{"filename":"564a019e-6b56-466c-8d05-abc83f558bf7.sage3d","uuid":"564a019e-6b56-466c-8d05-abc83f558bf7"}}︡{"done":true}︡
︠3b0becd8-3a9a-4e26-b8e9-ebf75b8cd34csi︠
%hide
%latex
\color{dkgreen}
Example 4b: You can also define the curve in parametric form.  
This is shown below for the same function $y=\sin(x)$, and then for 
a new function: $x=t+\sin(2t), y=t+\cos t$.
︡5cae7bfe-0793-4226-8b9d-ff184c0b2b6f︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpiqwE3C.png","show":true,"text":null,"uuid":"5239efaa-7b96-4e36-8cf6-0d9f91a83f88"},"once":false}︡{"done":true}︡
︠0eb4af76-3594-4fef-a25b-fe85483f3193s︠
# First, the same function as the one above
t = var('t')
curve = (t, sin(t))
revolution_plot3d(curve, (t,0,pi))

# Next, the new example
curve = (t+sin(2*t), t+cos(t))
revolution_plot3d(curve, (t,0,2*pi), show_curve=true)
︡90144fd4-b4ba-466f-83ea-ec61a417db5e︡{"file":{"filename":"d11eea92-2bcf-4375-bb49-ce859484ca0a.sage3d","uuid":"d11eea92-2bcf-4375-bb49-ce859484ca0a"}}︡{"file":{"filename":"e41777bb-1ab7-422f-8c1c-41d090aca1ae.sage3d","uuid":"e41777bb-1ab7-422f-8c1c-41d090aca1ae"}}︡{"done":true}︡
︠848a6853-3573-4c3f-a1e1-62d8fb132c2esi︠
%hide
%latex
\color{dkgreen}
Next, let's look at how a small change in the range of the parameter gives 
a result that looks very different (see plot below):
︡73751fbd-4a06-442f-98aa-f6265ac28e18︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpkxplUj.png","show":true,"text":null,"uuid":"8be7e7f5-7ec5-4126-944b-1fdc6e56c04d"},"once":false}︡{"done":true}︡
︠5fff9925-6a3d-46b1-8da8-0f38812dc738︠

t = var('t')
curve = (t+sin(2*t), t+cos(t))
revolution_plot3d(curve, (t,-pi,4*pi), show_curve=true)
︡515fb81c-6860-45fd-8eba-cce49087f2a1︡{"file":{"filename":"f95e744c-6f74-446d-a71b-53491f067fb5.sage3d","uuid":"f95e744c-6f74-446d-a71b-53491f067fb5"}}︡{"done":true}︡
︠a2af2948-6124-41b5-8bd3-4996315a6558is︠
%hide
%latex
\color{dkgreen}
It is easy to change the axis of rotation to, say, $x$, 
and include some interesting new options in the plot command
︡0581a792-1d8d-4fa3-af35-8294226463cb︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpeJtbTE.png","show":true,"text":null,"uuid":"b039d97d-d598-4c4b-a8ca-02676c279db2"},"once":false}︡{"done":true}︡
︠e98fff99-7a70-4910-a27d-ce80c136dbcas︠
t = var('t')
curve = (t+sin(2*t), t+cos(t))
revolution_plot3d(curve, (t,-pi,4*pi), parallel_axis='x', color='green', opacity=0.5)
︡a222bc5c-0779-4f92-879c-84256c88e519︡{"file":{"filename":"640313d6-4824-42ab-b5ac-7c5635a55e3a.sage3d","uuid":"640313d6-4824-42ab-b5ac-7c5635a55e3a"}}︡{"done":true}︡
︠cbb24a4d-7384-485f-9b91-9e9e8518c76bis︠
%hide
%latex
\color{dkgreen}
Example 4c: A common exercise in calculus textbooks is to find the 
volume between two surfaces of revolution, for example, between 
the line $y=x$ and the curve $y=\sqrt{x}$ in the region $x=0$ to $x=1$.  
The following plot provides visual aid for this example.
︡f3cb194d-701b-413c-9fe2-d0636c809a17︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmp9OqJta.png","show":true,"text":null,"uuid":"c9b5e7f2-8caf-4cb0-89ff-1c909e3ec55e"},"once":false}︡{"done":true}︡
︠a959aac6-a655-4e8d-9977-e38d9b16c16fs︠
x, y = var('x y')
p = revolution_plot3d(x, (x,0,1), parallel_axis='x', rgbcolor=(1,0.5,0), opacity=0.7)
q = revolution_plot3d(x^0.5, (x,0,1), parallel_axis='x', rgbcolor=(0,1,0), opacity=0.2)
show(p+q)
︡b9fa78ab-2f53-488d-b7b3-388d854786cf︡{"file":{"filename":"2de28111-5bb4-4ab2-98e7-362cba547648.sage3d","uuid":"2de28111-5bb4-4ab2-98e7-362cba547648"}}︡{"done":true}︡
︠7b460a94-415d-4895-aa66-3198634d5d1e︠
# And here is a very interesting example I found from sagemath.sfasu.edu/home/pub/43/
# It defines a piecewise curve, rotates it about the x-axis, and then computes 
# the volume of the resulting shape by integration.
x = var('x')
f1 = -(1/pi*(x-pi))^2+3
f2 = 0.125*sin(x) + 2.875
f3 = 1.875/(6*pi-22)*(x-22) + 1
f4 = 1
f = piecewise( [ ((0,3*pi/2),f1), ((3*pi/2,6*pi),f2), ((6*pi,22),f3), ((22,23),f4) ] )
plot(f, (x,0,23), aspect_ratio=1)
a = revolution_plot3d(f1, (x,0,3*pi/2), parallel_axis='x', aspect_ratio=1, color='chartreuse')
b = revolution_plot3d(f2, (x,3*pi/2,6*pi), parallel_axis='x', color='violet')
c = revolution_plot3d(f3, (x,6*pi,22), parallel_axis='x', color='aqua')
d = revolution_plot3d(f4, (x,22,23), parallel_axis='x', color='brown')
show(a+b+c+d, frame=False)
# Compute the volume (exclude cap):
vol = integral(pi*(f1)^2, x,0,3*pi/2) + integral(pi*(f2)^2, x,3*pi/2,6*pi) + integral(pi*(f3)^2, x, 6*pi, 22)
print "\n Volume = %f" % vol
︡80bf54b9-dda9-4eea-996e-5a5a2c4b5703︡{"file":{"filename":"/projects/5af60d30-8ee0-4c83-b7d2-6a0b68f44907/.sage/temp/compute3-us/4971/tmp_Cc5YPg.svg","show":true,"text":null,"uuid":"7f2d0598-2e36-4cdc-a488-af08a70c21fb"},"once":false}︡{"file":{"filename":"c514ba9e-49b2-461e-94d1-3db99734e89d.sage3d","uuid":"c514ba9e-49b2-461e-94d1-3db99734e89d"}}︡{"stdout":"\n Volume = 518.314223\n"}︡{"done":true}︡
︠72e4e439-868f-4217-88b5-ac0f88236f15is︠
%hide
%latex
Plots of discrete $(x,y,z)$ data can be made using methods 
similar to those we used for 2D data.  \\[6pt]
\color{dkgreen}
Example 5: Plots the point-set  \\
\hspace*{3em} \small 
$\begin{array}{crrrrrrrr} x= & -4.8 & -3.1 & -2.2 & -0.7 & 0.2 & 2.5 & 4.0 & 5.6 \\ 
y= & 3.7 & 2.9 & 2.4 & 2.2 & 3.5 & 5.8 & 9.6 & 6.3  \\
z= & 0 & 1 & 2 & 3 & 4 & 5 & 6 & 7 
\end{array}$
︡a5c3d42f-263b-4273-bdca-28a6b8d96f90︡{"hide":"input"}︡{"file":{"filename":"/tmp/tmpPKXg4A.png","show":true,"text":null,"uuid":"9ff6e069-d90e-4061-82fd-98767d3de083"},"once":false}︡{"done":true}︡
︠6bd2a621-cd7f-41e1-b368-1a20c1786037s︠

xl = [-4.8, -3.1, -2.2, -0.7, 0.2, 2.5, 4.0, 5.6]
yl = [3.7, 2.9, 2.4, 2.2, 3.5, 5.8, 9.6, 6.3]
zl = [0, 1, 2, 3, 4, 5, 6, 7]
datapoints = zip(xl, yl, zl)   # The "zip" command creates matched pairs from separate lists.
line(datapoints)
point(datapoints)
list_plot3d([datapoints])
︡8fc0b8b9-dd6e-460a-828c-7b01033423d8︡{"file":{"filename":"0aa258ab-ee04-4649-90fd-e44c5e69d025.sage3d","uuid":"0aa258ab-ee04-4649-90fd-e44c5e69d025"}}︡{"file":{"filename":"e2ae008c-39b3-42f6-b84f-b12143ced18f.sage3d","uuid":"e2ae008c-39b3-42f6-b84f-b12143ced18f"}}︡{"file":{"filename":"e2ae008c-39b3-42f6-b84f-b12143ced18f.sage3d","uuid":"e2ae008c-39b3-42f6-b84f-b12143ced18f"}}︡{"done":true}︡
︠dc2909a0-0238-43bf-b9eb-1b3788f7ffdd︠
# Plot of 2 planes and their line of intersection.
# The strategy is to figure out the equation of the line in parametric form.
# E.g.: Let x=t; set f(x,y) == g(x,y) and find y=h(t); 
#       plugin (t, h(t)) for (x, y) in any one of f(x,y) or g(x,y).

x, y = var('x, y')
p = plot3d(3*x-2*y+0.5, (x,-5,5), (y,-5,5), opacity=0.3)
q = plot3d(-x+3*y-1.5, (x,-5,5), (y,-5,5), color='green', opacity=0.3)
t = var('t')
r = parametric_plot( ( t, (4*t+2.0)/5.0, 3*t-0.4*(4*t+2.0)+0.5 ), (t,-5.5,5.5), color='black', thickness=3 )
show(p+q+r)
︡1efbad4b-c4ff-4287-8047-5f737cdd6c04︡{"file":{"filename":"4f74452a-c525-434a-a1d0-f1d3e0bdeb5f.sage3d","uuid":"4f74452a-c525-434a-a1d0-f1d3e0bdeb5f"}}︡{"done":true}︡









