︠eeb17d49-a3b8-4698-9247-0542963a59c4s︠
# Test cases to explore the feasibility/ease of doing Excel style 
# computations in Sage.
#
# Example 1: This is an implementation of the computations in the file: 
# .../class_websites_temp_folder/math_modeling_materials/archives/fall2014/Lab1_model.xlsx
#
# NOTE that I have coded this in interactive style, with input boxes, etc. 
# Can certainly drop all that and make the code simpler.
#
%hide
print "Enter all birth/death rates for 5 year periods, in population fractions (not %)"
@interact
def _( birth_rate=input_box(0.0765, 'birth rate of 5+ y.o.=', width=20), death_rate=input_box(0.046, 'death rate of 5+ y.o.=', width=20), juv_death_rate=input_box(0.0085, 'death rate of 0-4 y.o.=', width=20), ic_juv=input_box(19187384, 'Initial population of 0-4 y.o.=', width=20), ic_other=input_box(263006093, 'Initial population of 5+ y.o.=', width=20), n=input_box(10, 'Number of simulation steps=', width=8) ):
    pop_juv = ic_juv
    pop_other = ic_other
    print "0-5 y.o. population     5+ y.o. population   Ratio 5+ y.o./0-4 y.o"
    print '%.2f               %.2f           %.6f' % (pop_juv, pop_other, pop_other/pop_juv)
    for i in range(n):
        pop_juv_new = pop_other*birth_rate
        pop_other_new = pop_juv*(1-juv_death_rate)+pop_other*(1-death_rate)
        pop_juv = pop_juv_new
        pop_other = pop_other_new
        print '%.2f               %.2f           %.6f' % (pop_juv, pop_other, pop_other/pop_juv)
    #
    # Transition matrix of population:
    #
    transmat = matrix(QQ, [ [0, birth_rate], [1.0-juv_death_rate, 1.0-death_rate] ])
    print "The transition matrix for this population is:"
    print transmat.n()
    print "Its eigenvalues are:", transmat.eigenvalues()
    #print "Its eigenvectors are:", normalized(tvec)
    #tvec = transmat.eigenvectors_left()
    #print "Its eigenvectors are:", tvec[0][1], tvec[1][1]
    print "Its eigenvectors are:", transmat.eigenvectors_left()
︡e9cf03f2-85cd-4805-81e6-47f7692d1d11︡{"hide":"input"}︡{"stdout":"Enter all birth/death rates for 5 year periods, in population fractions (not %)\n"}︡{"interact":{"controls":[{"control_type":"input-box","default":"0.0765000000000000","label":"birth rate of 5+ y.o.=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"birth_rate","width":20},{"control_type":"input-box","default":"0.0460000000000000","label":"death rate of 5+ y.o.=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"death_rate","width":20},{"control_type":"input-box","default":"0.00850000000000000","label":"death rate of 0-4 y.o.=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"juv_death_rate","width":20},{"control_type":"input-box","default":19187384,"label":"Initial population of 0-4 y.o.=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_juv","width":20},{"control_type":"input-box","default":263006093,"label":"Initial population of 5+ y.o.=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"ic_other","width":20},{"control_type":"input-box","default":10,"label":"Number of simulation steps=","nrows":1,"readonly":false,"submit_button":null,"type":null,"var":"n","width":8}],"flicker":false,"id":"00e9a340-14dd-417f-8f93-4ed323afd985","layout":[[["birth_rate",12,null]],[["death_rate",12,null]],[["juv_death_rate",12,null]],[["ic_juv",12,null]],[["ic_other",12,null]],[["n",12,null]],[["",12,null]]],"style":"None"}}︡{"done":true}
︠0562c99a-88da-4e25-94f8-3c9cd7be708fs︠

︡0c3724df-477e-4cb2-bd05-6ff471a71860︡{"done":true}









