︠cab2657b-ea57-4adc-a574-93a8397c570bis︠
%hide
%html

<H3  ALIGN="CENTER"><B><FONT COLOR="#030856">
Modeling population interactions in ecosystems
</FONT></B></H3>

This lab's theme is based on a true story that illustrates the complex interdependence of species in many ecosystems.  
In the late 19th century the U.S. citrus industry was nearly destroyed by the accidental introduction of an insect from 
Australia (the "scale-insect") that turned out to be a major pest.  One of the many efforts the industry made to combat the pest was to introduce a species of beetle known to be a natural predator of the Australian scale-insect.  Over time the industry found this strategy unsatisfactory and decided to spray DDT, a toxic pesticide, to get rid of both 
species.  To their surprise, this made the problem worse.  The population of the pest seemed to increase overall, 
while the population of the beetles decreased!

<P>

<FONT COLOR="#030866" SIZE="-1">
<B>Source of story and modeling idea:</B> <I>Mathematical Modelling with Case Studies,</I> by Belinda Barnes and Glenn Fulford.
</FONT>

<P>

<B>Overall<SUB>&nbsp;</SUB>objectives:</B> <BR>
In<SUP>&nbsp;</SUP>this lab we will build upon the concepts developed in our <A HREF="./sep29.html">recent lab</A> on 
rate of change models for different growth processes.  This time we'll conjecture and design a model for the rate of 
change of two populations that interact with each other -- the Australian scale-insect (prey) and the beetle (predator).  
<P>

We make the following two assumptions which, though inaccurate, lead to remarkably good real-world models:

<OL>
  <LI>The prey population is kept in check only by the predator.  In their absence the prey population would grow exponentially to infinity.
  <LI>The<SUP>&nbsp;</SUP>predator population tends to die out on its own.  It only grows in the presence of the prey.
</OL>

Let's use the following units and notation: 
<UL>
  <LI>$t$ = time in days
  <LI>$S(t)$ = scale-insect population (number per unit area)
  <LI>$B(t)$ = beetle population (number per unit area)
</UL>
      
<P>
<B>(I) Start with simple case - assume each population is on its own <BR>
(there is no interaction between them)</B>
<OL>
  <LI>The assumptions directly tell us the approximate shape of the $S$ vs. $t$ and $B$ vs. $t$ graphs. Sketch graphs 
illustrating these qualitative behaviors. Explain or justify your graphs.  <BR>

Can you tell what the graph of graph $B$ vs. $S$ looks like?
</OL>

︡15b499de-330a-4bc0-8de6-7a76469bacc3︡{"hide":"input"}︡{"html":"\n<H3  ALIGN=\"CENTER\"><B><FONT COLOR=\"#030856\">\nModeling population interactions in ecosystems\n</FONT></B></H3>\n\nThis lab's theme is based on a true story that illustrates the complex interdependence of species in many ecosystems.  \nIn the late 19th century the U.S. citrus industry was nearly destroyed by the accidental introduction of an insect from \nAustralia (the \"scale-insect\") that turned out to be a major pest.  One of the many efforts the industry made to combat the pest was to introduce a species of beetle known to be a natural predator of the Australian scale-insect.  Over time the industry found this strategy unsatisfactory and decided to spray DDT, a toxic pesticide, to get rid of both \nspecies.  To their surprise, this made the problem worse.  The population of the pest seemed to increase overall, \nwhile the population of the beetles decreased!\n\n<P>\n\n<FONT COLOR=\"#030866\" SIZE=\"-1\">\n<B>Source of story and modeling idea:</B> <I>Mathematical Modelling with Case Studies,</I> by Belinda Barnes and Glenn Fulford.\n</FONT>\n\n<P>\n\n<B>Overall<SUB>&nbsp;</SUB>objectives:</B> <BR>\nIn<SUP>&nbsp;</SUP>this lab we will build upon the concepts developed in our <A HREF=\"./sep29.html\">recent lab</A> on \nrate of change models for different growth processes.  This time we'll conjecture and design a model for the rate of \nchange of two populations that interact with each other -- the Australian scale-insect (prey) and the beetle (predator).  \n<P>\n\nWe make the following two assumptions which, though inaccurate, lead to remarkably good real-world models:\n\n<OL>\n  <LI>The prey population is kept in check only by the predator.  In their absence the prey population would grow exponentially to infinity.\n  <LI>The<SUP>&nbsp;</SUP>predator population tends to die out on its own.  It only grows in the presence of the prey.\n</OL>\n\nLet's use the following units and notation: \n<UL>\n  <LI>$t$ = time in days\n  <LI>$S(t)$ = scale-insect population (number per unit area)\n  <LI>$B(t)$ = beetle population (number per unit area)\n</UL>\n      \n<P>\n<B>(I) Start with simple case - assume each population is on its own <BR>\n(there is no interaction between them)</B>\n<OL>\n  <LI>The assumptions directly tell us the approximate shape of the $S$ vs. $t$ and $B$ vs. $t$ graphs. Sketch graphs \nillustrating these qualitative behaviors. Explain or justify your graphs.  <BR>\n\nCan you tell what the graph of graph $B$ vs. $S$ looks like?\n</OL>\n\n"}︡{"done":true}︡
︠43f79343-6157-400e-8e98-5c3eb5eca59eis︠
%hide
%html
<UL>
  <LI>Suppose<SUP>&nbsp;</SUP>we have the following observational data showing the population change in one day for each species (in isolation from the other): <BR>
 &nbsp; &nbsp; &nbsp; &nbsp; The scale-insect goes from 500 to 540 per unit area.  <BR>
 &nbsp; &nbsp; &nbsp; &nbsp; The beetles go from 50 to 49 per unit area. <BR>
Write<SUP>&nbsp;</SUP>a mathematical statement of the rate of change of $S(t)$ and $B(t)$. <BR> 
&nbsp; &nbsp; &nbsp; &nbsp; Hint: Rate of change = derivative. <BR>
&nbsp; &nbsp; &nbsp; &nbsp; $S^\prime(t)$ = negative term, causes $S$ to decrease. <BR>
&nbsp; &nbsp; &nbsp; &nbsp; $S^\prime(t)$ = positive term, causes $S$ to increase. <P>
Some examples: <P>
$S^\prime=1$, OR $~S^\prime=t$, OR $~S^\prime=e^t$, OR $~S^\prime=S$, OR ...  <P>
Clearly each of these corresponds to an increasing function $S(t)$. &nbsp; &nbsp;[Why?]  <BR>
In that sense, each is a plausible model for the scale-insect population. <BR>
But, which of them does the "best" job?  Why?  <BR>
Write an analogous model for $B^\prime$.
</UL>

︡4f8d19a4-1c80-4dc5-9793-af330254b089︡{"hide":"input"}︡{"html":"<UL>\n  <LI>Suppose<SUP>&nbsp;</SUP>we have the following observational data showing the population change in one day for each species (in isolation from the other): <BR>\n &nbsp; &nbsp; &nbsp; &nbsp; The scale-insect goes from 500 to 540 per unit area.  <BR>\n &nbsp; &nbsp; &nbsp; &nbsp; The beetles go from 50 to 49 per unit area. <BR>\nWrite<SUP>&nbsp;</SUP>a mathematical statement of the rate of change of $S(t)$ and $B(t)$. <BR> \n&nbsp; &nbsp; &nbsp; &nbsp; Hint: Rate of change = derivative. <BR>\n&nbsp; &nbsp; &nbsp; &nbsp; $S^\\prime(t)$ = negative term, causes $S$ to decrease. <BR>\n&nbsp; &nbsp; &nbsp; &nbsp; $S^\\prime(t)$ = positive term, causes $S$ to increase. <P>\nSome examples: <P>\n$S^\\prime=1$, OR $~S^\\prime=t$, OR $~S^\\prime=e^t$, OR $~S^\\prime=S$, OR ...  <P>\nClearly each of these corresponds to an increasing function $S(t)$. &nbsp; &nbsp;[Why?]  <BR>\nIn that sense, each is a plausible model for the scale-insect population. <BR>\nBut, which of them does the \"best\" job?  Why?  <BR>\nWrite an analogous model for $B^\\prime$.\n</UL>"}︡{"done":true}︡
︠ea33bcc4-1feb-42c2-aa6c-e5be9d2d9a03is︠
%hide
%html
<B>(II) More realistic (&amp; interesting) case - the predator and prey populations interact</B> <P>
<OL>
Start with your simple model above and think about modifying it to account for the interaction between predator and prey.  You want to come up with rate of change equations that look like: <BR> $S^\prime(t)$ = stuff, &nbsp; $B^\prime(t)$ = other-stuff. <P>
Things to remember: $S^\prime(t)$ = negative term, causes $S(t)$ to decrease; <BR> S$^\prime(t)$ = positive term, causes $S(t)$ to increase; <BR>
$S^\prime(t)$ = negative + positive term, causes $S(t)$ to respond to two opposing effects. <P>

Here are some explorations to try: <P>

  <LI>Suppose your simple model for the scale-insects is $S^\prime = 0.08 S$.  <BR>
If you add a negative term to the right that depends on $B$, it will model the effect of beetles eating the scale-insects.
Conjecture some possible forms for this 2nd term.  Some ideas: $-B$, $~~-10B$, $~~-B^2$, $~-\sqrt{B}$, $~~-e^B$, $~~-S\cdot B$, $~~-0.5\;S\;B$, ... &nbsp; &nbsp;
What are your thoughts?
  <LI>It<SUP>&nbsp;</SUP>turns out that a good model for the predator-prey effect is to have a term like $0.0002\;S\;B$ in your rate of change equations.  Of course, I've put the "0.0002" there just to show you a specific example - it should be replaced by an appropriate numerical value for each specific application.  With this in mind, write the general form of the $S^\prime(t)$ and $B^\prime(t)$ equations in our model - use symbols like <TT>a</TT>, <TT>b</TT>, <TT>c</TT>, etc., wherever you need constant coefficients: <BR>
&nbsp; &nbsp; $S^\prime(t) =$ term1 + term2. <BR>
&nbsp; &nbsp; $B^\prime(t) =$ term3 + term4. <BR>
See page 240, exercise 35 in your textbook for a very similar
model.

  <LI>Now<SUP>&nbsp;</SUP>for the fun part!  
Simulate a predator-prey model using Sage.  
Let's use the following model: <BR>
&nbsp; &nbsp; $S^\prime(t) = 0.08 S - 0.001 S B$ <BR>
&nbsp; &nbsp; $B^\prime(t) = -0.02 B + 0.00002 S B$ <P>
We'll carry out the simulation for 3 different starting 
scenarios: <BR>
&nbsp; &nbsp; (i) At <TT>t=0</TT> there are 500 scale-insects 
and 50 beetles.  <BR>
&nbsp; &nbsp; (ii) At <TT>t=0</TT> there are 500 scale-insects 
and 100 beetles.  <BR>
&nbsp; &nbsp; (iii) At <TT>t=0</TT> there are 1000 scale-insects 
and 81 beetles.  <BR>
Consult with Anand for help on how to use Sage 
to solve this model. <P>

Discuss<SUP>&nbsp;</SUP>
what your simulations reveal.  
In particular, discuss what types of patterns you see 
in the predator and prey populations, and whether/ how
they depend on the initial population of each species.  
For each simulation, 
use your graphical solutions to estimate an average value 
of the predator and prey populations.  A very rough 
approximation of the averages is sufficient.

  <LI><B>Effect of DDT</B>: From a calculus point of view, 
the pesticide essentially contributes a new "death term" in 
the respective equations of each species.  A question to 
ask yourself is, what is a reasonable form for this term: 
should it be constant, or should it depend on B or S? 
should the term be the same, or different, for each species? <P>

Run the grapher simulation again after adding the following 
new terms to your previous model: <BR>
&nbsp; &nbsp; <TT>S'(t)</TT> = previous terms <TT>- 0.01 S</TT>. <BR>
&nbsp; &nbsp; <TT>B'(t)</TT> = previous terms <TT>- 0.01 B</TT>. <P>

Comment on what your results reveal about the effect of 
using DDT.  Address any 
changes you see in the population patterns, and in the average 
values.

︡44576692-86a4-44c9-841f-50106e937510︡{"hide":"input"}︡{"html":"<B>(II) More realistic (&amp; interesting) case - the predator and prey populations interact</B> <P>\n<OL>\nStart with your simple model above and think about modifying it to account for the interaction between predator and prey.  You want to come up with rate of change equations that look like: <BR> $S^\\prime(t)$ = stuff, &nbsp; $B^\\prime(t)$ = other-stuff. <P>\nThings to remember: $S^\\prime(t)$ = negative term, causes $S(t)$ to decrease; <BR> S$^\\prime(t)$ = positive term, causes $S(t)$ to increase; <BR>\n$S^\\prime(t)$ = negative + positive term, causes $S(t)$ to respond to two opposing effects. <P>\n\nHere are some explorations to try: <P>\n\n  <LI>Suppose your simple model for the scale-insects is $S^\\prime = 0.08 S$.  <BR>\nIf you add a negative term to the right that depends on $B$, it will model the effect of beetles eating the scale-insects.\nConjecture some possible forms for this 2nd term.  Some ideas: $-B$, $~~-10B$, $~~-B^2$, $~-\\sqrt{B}$, $~~-e^B$, $~~-S\\cdot B$, $~~-0.5\\;S\\;B$, ... &nbsp; &nbsp;\nWhat are your thoughts?\n  <LI>It<SUP>&nbsp;</SUP>turns out that a good model for the predator-prey effect is to have a term like $0.0002\\;S\\;B$ in your rate of change equations.  Of course, I've put the \"0.0002\" there just to show you a specific example - it should be replaced by an appropriate numerical value for each specific application.  With this in mind, write the general form of the $S^\\prime(t)$ and $B^\\prime(t)$ equations in our model - use symbols like <TT>a</TT>, <TT>b</TT>, <TT>c</TT>, etc., wherever you need constant coefficients: <BR>\n&nbsp; &nbsp; $S^\\prime(t) =$ term1 + term2. <BR>\n&nbsp; &nbsp; $B^\\prime(t) =$ term3 + term4. <BR>\nSee page 240, exercise 35 in your textbook for a very similar\nmodel.\n\n  <LI>Now<SUP>&nbsp;</SUP>for the fun part!  \nSimulate a predator-prey model using Sage.  \nLet's use the following model: <BR>\n&nbsp; &nbsp; $S^\\prime(t) = 0.08 S - 0.001 S B$ <BR>\n&nbsp; &nbsp; $B^\\prime(t) = -0.02 B + 0.00002 S B$ <P>\nWe'll carry out the simulation for 3 different starting \nscenarios: <BR>\n&nbsp; &nbsp; (i) At <TT>t=0</TT> there are 500 scale-insects \nand 50 beetles.  <BR>\n&nbsp; &nbsp; (ii) At <TT>t=0</TT> there are 500 scale-insects \nand 100 beetles.  <BR>\n&nbsp; &nbsp; (iii) At <TT>t=0</TT> there are 1000 scale-insects \nand 81 beetles.  <BR>\nConsult with Anand for help on how to use Sage \nto solve this model. <P>\n\nDiscuss<SUP>&nbsp;</SUP>\nwhat your simulations reveal.  \nIn particular, discuss what types of patterns you see \nin the predator and prey populations, and whether/ how\nthey depend on the initial population of each species.  \nFor each simulation, \nuse your graphical solutions to estimate an average value \nof the predator and prey populations.  A very rough \napproximation of the averages is sufficient.\n\n  <LI><B>Effect of DDT</B>: From a calculus point of view, \nthe pesticide essentially contributes a new \"death term\" in \nthe respective equations of each species.  A question to \nask yourself is, what is a reasonable form for this term: \nshould it be constant, or should it depend on B or S? \nshould the term be the same, or different, for each species? <P>\n\nRun the grapher simulation again after adding the following \nnew terms to your previous model: <BR>\n&nbsp; &nbsp; <TT>S'(t)</TT> = previous terms <TT>- 0.01 S</TT>. <BR>\n&nbsp; &nbsp; <TT>B'(t)</TT> = previous terms <TT>- 0.01 B</TT>. <P>\n\nComment on what your results reveal about the effect of \nusing DDT.  Address any \nchanges you see in the population patterns, and in the average \nvalues.\n\n"}︡{"done":true}︡
︠d6283df0-2eea-4cef-a2b2-11a434ceb846︠
# Systems is: S'= 0.08*S - 0.001*S*B; B'= -0.02*B + 0.00002*S*B; S(0)=500, B(0)=50

s, b, t = var('s b t')
de1 = 0.08*s - 0.001*s*b
de2 = -0.02*b + 0.00002*s*b
P = desolve_system_rk4 ([de1, de2], [s, b], ics=[0, 500, 50], ivar=t, end_points=[0,200] )
Q = [ [j,k] for i, j, k in P]
#list_plot(Q, axes_labels=['$S$', '$B$'])
line(Q, axes_labels=['$S$', '$B$'], color='green', thickness=2, title='Phase plot')

# The following creates plots of S vs t and B vs t:
QS = [ [i,j] for i, j, k in P]
QB = [ [i,k] for i, j, k in P]
SS = line(QS, axes_labels=['$t$ (days)', '$P(t)$'], legend_label='Scale insects', color='blue', thickness=2)
SB = line(QB, axes_labels=['$t$ (days)', '$P(t)$'], legend_label='Beetles', color='green', thickness=2)
show(SS+SB)
︡b04387c3-9e9f-4d7e-9903-9a058eef942e︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/28003/tmp_K7v7Do.svg","show":true,"text":null,"uuid":"98276a83-9fe0-4ec8-82ab-7dea412c4fcb"},"once":false}︡{"file":{"filename":"/projects/c5fbbb89-591d-4df5-a627-cb7020bf6ed6/.sage/temp/compute2-us/28003/tmp_7LDVbp.svg","show":true,"text":null,"uuid":"085840e0-9465-4e81-842c-c4fd8f95696d"},"once":false}︡{"done":true}︡









