︠f3c27a41-6c2a-4dc7-be6c-70450caca465si︠
%hide
%html

<H3  ALIGN="CENTER"><B><FONT COLOR="#030856">
Modeling the energy produced by a wind turbine
</FONT></B></H3>

<FONT SIZE="-1">(Content prepared with help from 
    former student Amara Yeb, EC '15)
</FONT>
<P><BR>

<TABLE ALIGN="LEFT" WIDTH="80%" BORDER="0"  CELLSPACING="0"  CELLPADDING="8">
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER"><BR>
      <IMG SRC="./wind_turbine_pic.png" width="270">
    </TD>
    <TD>
        <H4><FONT COLOR="#A30836">Introduction</FONT></H4>
      The overall objective here is to explore the feasibility 
of meeting the energy needs of our campus (Earlham College) using 
wind turbines. For simplicity, we will model the operation 
of one turbine.  <P><BR>
    
As a first step, we must estimate the average or typical energy 
usage of our campus.  Shown below is the annual electricity 
usage for the years 2008-2013.

<TABLE ALIGN="CENTER" WIDTH="50%" BORDER="0"  CELLSPACING="0"  CELLPADDING="0">
  <TR  ALIGN="CENTER" VALIGN="TOP">
    <TD ALIGN="CENTER">
      <B>Year</B>
    </TD>
    <TD ALIGN="CENTER">
      <B>Electric Consumption (kWh)</B>
    </TD>
  </TR>
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER">
      2008-2009
    </TD>
    <TD ALIGN="CENTER">
      13,571,150
    </TD>
  </TR>
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER">
      2009-2010
    </TD>
    <TD ALIGN="CENTER">
      13,754,406
    </TD>
  </TR>
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER">
      2010-2011
    </TD>
    <TD ALIGN="CENTER">
      12,657,243
    </TD>
  </TR>
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER">
      2011-2012
    </TD>
    <TD ALIGN="CENTER">
      13,674,575
    </TD>
  </TR>
  <TR VALIGN="TOP">
    <TD ALIGN="CENTER">
      2012-2013
    </TD>
    <TD ALIGN="CENTER">
      11,703,801
    </TD>
  </TR>

</TABLE>

    </TD>
  </TR>
  <TR>
    <TD COLSPAN="2">
Note that the campus also consumes energy in other forms,
such as natural gas, particularly for heating. But for the 
purpose of this study we only consider electric consumption.
    </TD>
  </TR>
</TABLE>
    

<H4><FONT COLOR="#A30836">Wind energy modeling: Some background</FONT></H4>

In a nutshell, here is how a wind turbine works: <BR><BR>
<UL>
  <LI>It converts the wind’s kinetic energy into rotational KE in the turbine.
  <LI>The rotational KE is converted into electrical energy.
  <LI>Conversion depends on wind speed and swept area of turbine.
  <LI>Efficiency losses occur at each stage. <BR><BR>
<IMG SRC="./energy_conversion_schematic.png" width="450"> <BR>
  $P_w=$ wind power; $P_e=$ electric power output; <BR>
  $C_p$, $C_t$, $C_g$, are 
  constant efficiency coefficients 
</UL>

It is theoretically possible, from a 
simplified 1-D form of energy conservation laws, 
to estimate <BR><BR>
$~~~~~~~~~~~~\displaystyle P_w = \frac{1}{2}\rho A u^3 ~~~~~~~~~~~~
\displaystyle P_e = C_p C_t C_g P_w$ <BR><BR>
where $\rho=$ air density, $A=$ swept area, $u=$ wind speed. <BR>

<TABLE ALIGN="LEFT" WIDTH="80%" BORDER="0"  CELLSPACING="0"  CELLPADDING="0">
  <TR VALIGN="TOP">
    <TD WIDTH="50%">
However, in practice, it is very difficult to estimate reliable 
values for all the needed parameters. Therefore, a more common 
way to model the electric power output of a wind turbine is 
to use a "power curve," such as the one shown in the sketch. 
<BR><BR>
From the curve, the electric power is a function of 
$u$, and has the form <BR><BR>
$~~~~~~~~P_e(u)=\left\{\begin{array}{ll} a + b u^\alpha, & \mbox{ if } u_c \le u \le u_r  \\
            P_{er}, & \mbox{ if } u_r < u \le u_f \\ 
             0, & \mbox{ if } u>u_f \end{array}\right.$
    </TD>
    <TD ALIGN="CENTER">
      Wind turbine power curve <BR>
      <IMG SRC="./wind_turbine_power_curve.png" width="300">
    </TD>
  </TR>
</TABLE>
where <BR>
$~~~~u_c=$ cut-in wind speed, where electric power output rises above 0 <BR>
$~~~~u_r=$ rated wind speed <BR>
$~~~~u_f=$ furling wind speed, at which turbine is shut off to prevent damage <BR>
$~~~~\alpha$ is a fitting parameter whose value is typically close to 2 <BR>  
$~~~~P_{er}$ is the rated power output under optimal wind conditions.  <BR>
    Numerical<SUP>&nbsp;</SUP>values of all these parameters depend on design, 
manufacture and installation properties of the wind turbine.

<H4><FONT COLOR="#A30836">How to estimate total power output?</FONT></H4>

By integration, of course! But we need one more piece of 
information, i.e., the distribution of actual wind speeds at the 
turbine location. This typically comes from historical 
meteorological data, in the form of a probability density 
function.  For example, a Weibull distribution is frequently 
used to model wind speed data.
<BR><BR>
<TABLE ALIGN="LEFT" WIDTH="80%" BORDER="0"  CELLSPACING="0"  CELLPADDING="0">
  <TR VALIGN="TOP">
    <TD WIDTH="50%"> 
Weibull pdf (probability density function): 
$\displaystyle f(u)=\frac{\frac{k}{c}(\frac{u}{c})^{k-1}}{e^{(\frac{u}{c})^k}}$  <BR>
$k$ and $c$ are model parameters that depend on the 
median and variability in wind speeds. <BR><BR>
Estimated power output: $\displaystyle P_{tot}=\int_0^\infty P_e(u) f(u) du$<BR>
where $P_e(u)$ and $f(u)$ are both given by expressions above.<BR><BR>
    </TD>
    <TD ALIGN="CENTER">
      Wind speed distribution <BR>
      <IMG SRC="./wind_speed_distribution.png" width="300">
    </TD>
  </TR>
</TABLE>



︡fa885c6f-b401-425e-9c89-a13afd844b26︡{"hide":"input"}︡{"html":"\n<H3  ALIGN=\"CENTER\"><B><FONT COLOR=\"#030856\">\nModeling the energy produced by a wind turbine\n</FONT></B></H3>\n\n<FONT SIZE=\"-1\">(Content prepared with help from \n    former student Amara Yeb, EC '15)\n</FONT>\n<P><BR>\n\n<TABLE ALIGN=\"LEFT\" WIDTH=\"80%\" BORDER=\"0\"  CELLSPACING=\"0\"  CELLPADDING=\"8\">\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\"><BR>\n      <IMG SRC=\"./wind_turbine_pic.png\" width=\"270\">\n    </TD>\n    <TD>\n        <H4><FONT COLOR=\"#A30836\">Introduction</FONT></H4>\n      The overall objective here is to explore the feasibility \nof meeting the energy needs of our campus (Earlham College) using \nwind turbines. For simplicity, we will model the operation \nof one turbine.  <P><BR>\n    \nAs a first step, we must estimate the average or typical energy \nusage of our campus.  Shown below is the annual electricity \nusage for the years 2008-2013.\n\n<TABLE ALIGN=\"CENTER\" WIDTH=\"50%\" BORDER=\"0\"  CELLSPACING=\"0\"  CELLPADDING=\"0\">\n  <TR  ALIGN=\"CENTER\" VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      <B>Year</B>\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      <B>Electric Consumption (kWh)</B>\n    </TD>\n  </TR>\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      2008-2009\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      13,571,150\n    </TD>\n  </TR>\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      2009-2010\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      13,754,406\n    </TD>\n  </TR>\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      2010-2011\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      12,657,243\n    </TD>\n  </TR>\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      2011-2012\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      13,674,575\n    </TD>\n  </TR>\n  <TR VALIGN=\"TOP\">\n    <TD ALIGN=\"CENTER\">\n      2012-2013\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      11,703,801\n    </TD>\n  </TR>\n\n</TABLE>\n\n    </TD>\n  </TR>\n  <TR>\n    <TD COLSPAN=\"2\">\nNote that the campus also consumes energy in other forms,\nsuch as natural gas, particularly for heating. But for the \npurpose of this study we only consider electric consumption.\n    </TD>\n  </TR>\n</TABLE>\n    \n\n<H4><FONT COLOR=\"#A30836\">Wind energy modeling: Some background</FONT></H4>\n\nIn a nutshell, here is how a wind turbine works: <BR><BR>\n<UL>\n  <LI>It converts the wind’s kinetic energy into rotational KE in the turbine.\n  <LI>The rotational KE is converted into electrical energy.\n  <LI>Conversion depends on wind speed and swept area of turbine.\n  <LI>Efficiency losses occur at each stage. <BR><BR>\n<IMG SRC=\"./energy_conversion_schematic.png\" width=\"450\"> <BR>\n  $P_w=$ wind power; $P_e=$ electric power output; <BR>\n  $C_p$, $C_t$, $C_g$, are \n  constant efficiency coefficients \n</UL>\n\nIt is theoretically possible, from a \nsimplified 1-D form of energy conservation laws, \nto estimate <BR><BR>\n$~~~~~~~~~~~~\\displaystyle P_w = \\frac{1}{2}\\rho A u^3 ~~~~~~~~~~~~\n\\displaystyle P_e = C_p C_t C_g P_w$ <BR><BR>\nwhere $\\rho=$ air density, $A=$ swept area, $u=$ wind speed. <BR>\n\n<TABLE ALIGN=\"LEFT\" WIDTH=\"80%\" BORDER=\"0\"  CELLSPACING=\"0\"  CELLPADDING=\"0\">\n  <TR VALIGN=\"TOP\">\n    <TD WIDTH=\"50%\">\nHowever, in practice, it is very difficult to estimate reliable \nvalues for all the needed parameters. Therefore, a more common \nway to model the electric power output of a wind turbine is \nto use a \"power curve,\" such as the one shown in the sketch. \n<BR><BR>\nFrom the curve, the electric power is a function of \n$u$, and has the form <BR><BR>\n$~~~~~~~~P_e(u)=\\left\\{\\begin{array}{ll} a + b u^\\alpha, & \\mbox{ if } u_c \\le u \\le u_r  \\\\\n            P_{er}, & \\mbox{ if } u_r < u \\le u_f \\\\ \n             0, & \\mbox{ if } u>u_f \\end{array}\\right.$\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      Wind turbine power curve <BR>\n      <IMG SRC=\"./wind_turbine_power_curve.png\" width=\"300\">\n    </TD>\n  </TR>\n</TABLE>\nwhere <BR>\n$~~~~u_c=$ cut-in wind speed, where electric power output rises above 0 <BR>\n$~~~~u_r=$ rated wind speed <BR>\n$~~~~u_f=$ furling wind speed, at which turbine is shut off to prevent damage <BR>\n$~~~~\\alpha$ is a fitting parameter whose value is typically close to 2 <BR>  \n$~~~~P_{er}$ is the rated power output under optimal wind conditions.  <BR>\n    Numerical<SUP>&nbsp;</SUP>values of all these parameters depend on design, \nmanufacture and installation properties of the wind turbine.\n\n<H4><FONT COLOR=\"#A30836\">How to estimate total power output?</FONT></H4>\n\nBy integration, of course! But we need one more piece of \ninformation, i.e., the distribution of actual wind speeds at the \nturbine location. This typically comes from historical \nmeteorological data, in the form of a probability density \nfunction.  For example, a Weibull distribution is frequently \nused to model wind speed data.\n<BR><BR>\n<TABLE ALIGN=\"LEFT\" WIDTH=\"80%\" BORDER=\"0\"  CELLSPACING=\"0\"  CELLPADDING=\"0\">\n  <TR VALIGN=\"TOP\">\n    <TD WIDTH=\"50%\"> \nWeibull pdf (probability density function): \n$\\displaystyle f(u)=\\frac{\\frac{k}{c}(\\frac{u}{c})^{k-1}}{e^{(\\frac{u}{c})^k}}$  <BR>\n$k$ and $c$ are model parameters that depend on the \nmedian and variability in wind speeds. <BR><BR>\nEstimated power output: $\\displaystyle P_{tot}=\\int_0^\\infty P_e(u) f(u) du$<BR>\nwhere $P_e(u)$ and $f(u)$ are both given by expressions above.<BR><BR>\n    </TD>\n    <TD ALIGN=\"CENTER\">\n      Wind speed distribution <BR>\n      <IMG SRC=\"./wind_speed_distribution.png\" width=\"300\">\n    </TD>\n  </TR>\n</TABLE>\n\n\n\n"}︡{"done":true}︡
︠ea6d1f56-5236-49e4-956b-22623a7bee30si︠

%hide
%html

<H4><FONT COLOR="#A30836">Simulation studies</FONT></H4>

We want to compute the integral: 
$\displaystyle P_{tot}=\int_0^\infty P_e(u) f(u) du$  <BR><BR>
with $~~~~~P_e(u)=\left\{\begin{array}{ll} a + b u^\alpha, & \mbox{ if } u_c \le u \le u_r  \\
            P_{er}, & \mbox{ if } u_r < u \le u_f \\ 
             0, & \mbox{ if } u>u_f \end{array}\right.$
&nbsp; &nbsp; &nbsp; and 
$~~~~~~\displaystyle f(u)=\frac{\frac{k}{c}(\frac{u}{c})^{k-1}}{e^{(\frac{u}{c})^k}}$
<BR><BR>
The wind turbine we are investigating for installation 
is manufactured by General Electric, with model number 
GE 1.7-103.  Based on the model and installation, we have 
the following estimates for the parameters <BR>
$~~~u_c ~ \sim ~ 3\mbox{ to }4 ~m/s$; $~~u_r ~ \sim ~ 12\mbox{ to }14 ~m/s$ 
$~~u_f = 20 ~m/s$; <BR>
$~~P_{er} ~ \sim ~ 3000\mbox{ to }4000 ~kW$ per hour, depending on value or $u_r$; <BR>
$~~\alpha ~ \sim ~ 2\mbox{ to }2.3$; $~~k = 2.323$; $~~c=6.52 ~m/s$.  <BR>
$~~a$ and $b$ can be found if we know $u_c$, $u_r$, by curve-fitting. <BR><BR>

The Sage code below computes the integral, which gives the average 
power generated per hour.  Multiplying this by $24\times 365$ gives 
the average power generated per year in $kWh$.


︡08f8a984-6159-4ddb-909b-874d7a2b826e︡{"hide":"input"}︡{"html":"\n<H4><FONT COLOR=\"#A30836\">Simulation studies</FONT></H4>\n\nWe want to compute the integral: \n$\\displaystyle P_{tot}=\\int_0^\\infty P_e(u) f(u) du$  <BR><BR>\nwith $~~~~~P_e(u)=\\left\\{\\begin{array}{ll} a + b u^\\alpha, & \\mbox{ if } u_c \\le u \\le u_r  \\\\\n            P_{er}, & \\mbox{ if } u_r < u \\le u_f \\\\ \n             0, & \\mbox{ if } u>u_f \\end{array}\\right.$\n&nbsp; &nbsp; &nbsp; and \n$~~~~~~\\displaystyle f(u)=\\frac{\\frac{k}{c}(\\frac{u}{c})^{k-1}}{e^{(\\frac{u}{c})^k}}$\n<BR><BR>\nThe wind turbine we are investigating for installation \nis manufactured by General Electric, with model number \nGE 1.7-103.  Based on the model and installation, we have \nthe following estimates for the parameters <BR>\n$~~~u_c ~ \\sim ~ 3\\mbox{ to }4 ~m/s$; $~~u_r ~ \\sim ~ 12\\mbox{ to }14 ~m/s$ \n$~~u_f = 20 ~m/s$; <BR>\n$~~P_{er} ~ \\sim ~ 3000\\mbox{ to }4000 ~kW$ per hour, depending on value or $u_r$; <BR>\n$~~\\alpha ~ \\sim ~ 2\\mbox{ to }2.3$; $~~k = 2.323$; $~~c=6.52 ~m/s$.  <BR>\n$~~a$ and $b$ can be found if we know $u_c$, $u_r$, by curve-fitting. <BR><BR>\n\nThe Sage code below computes the integral, which gives the average \npower generated per hour.  Multiplying this by $24\\times 365$ gives \nthe average power generated per year in $kWh$.\n"}︡{"done":true}︡
︠589431e0-c2e1-4b8e-8138-7e5995bc4b07︠

# Define my own integration function, because for some reason 
# the builtin "integral" function hangs on my computation.  
# This is a very simple, mid-point rule based integration 
# function. The inputs are: the integrand, the end-points, 
# and "n," the number of (uniform) integration intervals.
def my_integral(fcn, a, b, n):
    deltax = (b-a)*1.0/n
    xs = [ a + deltax*i for i in range(n+1) ]
    ysmid = [ fcn( (xs[i]+xs[i+1])/2.0 ) for i in range(n) ]
    return deltax*sum(ysmid)

# Now we're ready to compute the integral:
u = var('u')
uc = 4            # cut-in speed
ur = 12           # rated speed
uf = 20           # furling speed
per = 3157        # rated power output
alpha = 2.2       # exponent in power curve

c = 6.52          # speed parameter in Weibull distribution
k = 2.323         # exponent in Weibull distribution
f(u) = ( (k/c)*(u/c)^(k-1) ) / ( exp((u/c)^k) ) # the Weibull distribution

a = (per*uc^alpha) / (uc^alpha - ur^alpha)
b = - per / (uc^alpha - ur^alpha)

# Next, define piecewise function to be integrated:
piece1(u) = 0*f(u)
piece2(u) = (a + b*u^alpha)*f(u)
piece3(u) = per*f(u)
pe = piecewise( [[(0,uc), piece1], [(uc,ur), piece2], [(ur,uf), piece3] ] )

# Integrate and find power generated per hour:
pe_per_hour = my_integral(pe, 0, 20, 200)
pe_per_year = pe_per_hour*24*365

print "Estimated power generated per hour = %.1f kW" % pe_per_hour
print "Estimated power generated per year = %i kWh" % pe_per_year
︡ee8cfce4-4c12-4db4-890b-4f75af697adc︡{"stdout":"Estimated power generated per hour = 608.2 kW\n"}︡{"stdout":"Estimated power generated per year = 5327728 kWh\n"}︡{"done":true}︡
︠c79f0530-c22d-4001-b0a1-1500d2255b82si︠
%hide
%html

<FONT COLOR="000077">
<H5>Exercise 1</H5>

Mathematically modeling real-world processes often 
involves making a variety of approximations at different 
stages. In order for the model to be useful, it is important 
to estimate the impact of our approximations on the 
model's results.  <P><BR>

One key area of approximation in most math models is 
numerical estimates of parameter values.  For example, in 
the wind turbine model, the values of $u_c$, $u_f$, etc., 
are empirical estimates that will necessarily have some 
errors.  A question of practical interest is: How much 
will a small error in the value of $u_c$ affect the predicted 
power output?   <P><BR>

In this exercise we will vary $u_c$ up and down by 10% and 
study the effect on the power output.  Use the Sage code given 
above to do this.


</FONT>
︡8d3dde74-8039-4fe6-a7bd-cee0af48588b︡{"hide":"input"}︡{"html":"\n<FONT COLOR=\"000077\">\n<H5>Exercise 1</H5>\n\nMathematically modeling real-world processes often \ninvolves making a variety of approximations at different \nstages. In order for the model to be useful, it is important \nto estimate the impact of our approximations on the \nmodel's results.  <P><BR>\n\nOne key area of approximation in most math models is \nnumerical estimates of parameter values.  For example, in \nthe wind turbine model, the values of $u_c$, $u_f$, etc., \nare empirical estimates that will necessarily have some \nerrors.  A question of practical interest is: How much \nwill a small error in the value of $u_c$ affect the predicted \npower output?   <P><BR>\n\nIn this exercise we will vary $u_c$ up and down by 10% and \nstudy the effect on the power output.  Use the Sage code given \nabove to do this.\n\n\n</FONT>\n"}︡{"done":true}︡
︠d0700bd2-84ef-43ff-9405-b52529ad74fais︠
%hide
%html

<FONT COLOR="000077">
<H5>Exercise 2</H5>

Suppose we were to install the same wind turbine somewhere on 
the campus of Kasetsart University to provide a portion of the 
electric power used on campus.  Estimate how many kWh of energy 
would be generated per year.   <P><BR>

<B>Steps and hints</B>: <P>

Our model has 2 key components: the wind turbine power curve, 
and the probability density function (pdf) of wind speeds.  <P>

Assume the wind turbine power curve remains the same, since we are 
using the same turbine and installation type.  <P>
The pdf model of wind speeds will depend on local data from 
Bangkok and Kasetsart.  To keep things simple, let's use a 
different pdf model (called the Rayleigh distribution) that only 
requires knowledge of mean wind speeds.  It is given by 
$$f(u)=\frac{\pi}{2} \left(\frac{u}{u_m}\right) 
         \exp\left(\frac{-\pi}{4} \left(\frac{u}{u_m}\right)^2 \right)$$

So, the only additional work to be done is, find a reasonable 
value for $u_m$, the mean wind speed at Kasetsart. <P>

After that, compute the integral: 
$\displaystyle P_{tot}=\int_0^\infty P_e(u) f(u) du$


︡1f87b4e2-1d56-4623-9937-72a49301a739︡{"hide":"input"}︡{"html":"\n<FONT COLOR=\"000077\">\n<H5>Exercise 2</H5>\n\nSuppose we were to install the same wind turbine somewhere on \nthe campus of Kasetsart University to provide a portion of the \nelectric power used on campus.  Estimate how many kWh of energy \nwould be generated per year.   <P><BR>\n\n<B>Steps and hints</B>: <P>\n\nOur model has 2 key components: the wind turbine power curve, \nand the probability density function (pdf) of wind speeds.  <P>\n\nAssume the wind turbine power curve remains the same, since we are \nusing the same turbine and installation type.  <P>\nThe pdf model of wind speeds will depend on local data from \nBangkok and Kasetsart.  To keep things simple, let's use a \ndifferent pdf model (called the Rayleigh distribution) that only \nrequires knowledge of mean wind speeds.  It is given by \n$$f(u)=\\frac{\\pi}{2} \\left(\\frac{u}{u_m}\\right) \n         \\exp\\left(\\frac{-\\pi}{4} \\left(\\frac{u}{u_m}\\right)^2 \\right)$$\n\nSo, the only additional work to be done is, find a reasonable \nvalue for $u_m$, the mean wind speed at Kasetsart. <P>\n\nAfter that, compute the integral: \n$\\displaystyle P_{tot}=\\int_0^\\infty P_e(u) f(u) du$\n\n\n"}︡{"done":true}︡
︠6f3b53e4-bef5-4294-9b63-11937e37b258s︠

f(u) = ( (pi/2)*(u/um) ) * ( exp((-pi/4)*(u/um)^2) )

︡8f40bc03-fd8c-43a7-bb94-512eed31d8c4︡{"done":true}︡










